From 1fe9b7b798ac9cb0cf9911dfa52a4eab5fea8445 Mon Sep 17 00:00:00 2001
From: tmaruyama <tmaruyama@e93f8b46-1217-0410-a6f0-8f06a7374b81>
Date: Thu, 26 Jan 2012 05:15:40 +0000
Subject: Rails3.2: pdf: comment out ::ActionView::TemplateHandlers::ERB of rfpdf plugin (#4796)

ActionView::TemplateHandlers is deprecated on Rails3.2
and Redmine cannot boot on Rails3.2.
Redmine does not use this rfpdf plugin feature.

git-svn-id: svn://rubyforge.org/var/svn/redmine/trunk@8702 e93f8b46-1217-0410-a6f0-8f06a7374b81

--HG--
extra : source : 020f0828031076182d9bfdbcbcc44867ca3acf83
---
 vendor/plugins/rfpdf/init.rb                       |    2 +-
 .../rfpdf/lib/rfpdf/template_handlers/base.rb      |   10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/vendor/plugins/rfpdf/init.rb b/vendor/plugins/rfpdf/init.rb
index f9cc9ca..17011c8 100644
--- a/vendor/plugins/rfpdf/init.rb
+++ b/vendor/plugins/rfpdf/init.rb
@@ -8,5 +8,5 @@ require('cgi')
 require 'rfpdf'
 
 # Mime::Type.register "application/pdf", :pdf
-ActionView::Template::register_template_handler 'rfpdf', RFPDF::TemplateHandlers::Base
+# ActionView::Template::register_template_handler 'rfpdf', RFPDF::TemplateHandlers::Base
 
diff --git a/vendor/plugins/rfpdf/lib/rfpdf/template_handlers/base.rb b/vendor/plugins/rfpdf/lib/rfpdf/template_handlers/base.rb
index e0ea9d1..75380cd 100644
--- a/vendor/plugins/rfpdf/lib/rfpdf/template_handlers/base.rb
+++ b/vendor/plugins/rfpdf/lib/rfpdf/template_handlers/base.rb
@@ -1,12 +1,12 @@
 #-- encoding: UTF-8
 module RFPDF
   module TemplateHandlers
-    class Base < ::ActionView::TemplateHandlers::ERB
+    # class Base < ::ActionView::TemplateHandlers::ERB
       
-      def compile(template)
-        src = "_rfpdf_compile_setup;" + super
-      end
-    end
+    #   def compile(template)
+    #     src = "_rfpdf_compile_setup;" + super
+    #   end
+    # end
   end
 end
 
-- 
1.7.1


From 91875b058bb30471892bf63069d6bc32d83ab318 Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Sat, 25 Aug 2012 12:22:17 +0200
Subject: Replace RAILS_DEFAULT_LOGGER with Rails.logger

--HG--
extra : source : 3e15966f6e0dfd499d1ad4342045f0c34d4aebb2
---
 app/models/mailer.rb                         |    2 +-
 extra/sample_plugin/init.rb                  |    2 +-
 lib/redmine/imap.rb                          |    2 +-
 lib/redmine/pop3.rb                          |    2 +-
 lib/redmine/scm/adapters/abstract_adapter.rb |    2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/app/models/mailer.rb b/app/models/mailer.rb
index 139c38c..7cfaead 100644
--- a/app/models/mailer.rb
+++ b/app/models/mailer.rb
@@ -482,7 +482,7 @@ class Mailer < ActionMailer::Base
   end
 
   def mylogger
-    RAILS_DEFAULT_LOGGER
+    Rails.logger
   end
 end
 
diff --git a/extra/sample_plugin/init.rb b/extra/sample_plugin/init.rb
index 33ce9a2..6c5a7c5 100644
--- a/extra/sample_plugin/init.rb
+++ b/extra/sample_plugin/init.rb
@@ -15,7 +15,7 @@
 # Redmine sample plugin
 require 'redmine'
 
-RAILS_DEFAULT_LOGGER.info 'Starting Example plugin for RedMine'
+Rails.logger.info 'Starting Example plugin for RedMine'
 
 Redmine::Plugin.register :sample_plugin do
   name 'Example plugin'
diff --git a/lib/redmine/imap.rb b/lib/redmine/imap.rb
index e63410c..cd672a4 100644
--- a/lib/redmine/imap.rb
+++ b/lib/redmine/imap.rb
@@ -50,7 +50,7 @@ module Redmine
       private
 
       def logger
-        RAILS_DEFAULT_LOGGER
+        Rails.logger
       end
     end
   end
diff --git a/lib/redmine/pop3.rb b/lib/redmine/pop3.rb
index 9398d20..526e7aa 100644
--- a/lib/redmine/pop3.rb
+++ b/lib/redmine/pop3.rb
@@ -64,7 +64,7 @@ module Redmine
       private
 
       def logger
-        RAILS_DEFAULT_LOGGER
+        Rails.logger
       end
     end
   end
diff --git a/lib/redmine/scm/adapters/abstract_adapter.rb b/lib/redmine/scm/adapters/abstract_adapter.rb
index f7d6ce5..fa3a2d1 100644
--- a/lib/redmine/scm/adapters/abstract_adapter.rb
+++ b/lib/redmine/scm/adapters/abstract_adapter.rb
@@ -188,7 +188,7 @@ module Redmine
         end
 
         def self.logger
-          RAILS_DEFAULT_LOGGER
+          Rails.logger
         end
 
         def self.shellout(cmd, &block)
-- 
1.7.1


From 9da6e30c51b3de5bbc9a5af398304d966b850686 Mon Sep 17 00:00:00 2001
From: Toshi MARUYAMA <marutosijp2@yahoo.co.jp>
Date: Wed, 10 Jul 2013 08:57:58 +0900
Subject: remove tailing white-space from config/database.yml.example

--HG--
extra : source : 2e9fe7557d85baca276bd62d4306e99573f469d2
---
 config/database.yml.example |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/config/database.yml.example b/config/database.yml.example
index bd8f95f..6ee2916 100644
--- a/config/database.yml.example
+++ b/config/database.yml.example
@@ -7,7 +7,7 @@ production:
   username: root
   password:
   encoding: utf8
- 
+
 development:
   adapter: mysql
   database: chiliproject_development
-- 
1.7.1


From 293752c0955558659d7376ae6c8d8698b055111d Mon Sep 17 00:00:00 2001
From: Toshi MARUYAMA <marutosijp2@yahoo.co.jp>
Date: Thu, 11 Jul 2013 19:42:02 +0900
Subject: add newline at end of lib/tasks/extract_fixtures.rake

--HG--
extra : source : 851a2d95e22b145b49022f14aa1bfa43fe6eb9a6
---
 lib/tasks/extract_fixtures.rake |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/lib/tasks/extract_fixtures.rake b/lib/tasks/extract_fixtures.rake
index 0b851be..b6551a6 100644
--- a/lib/tasks/extract_fixtures.rake
+++ b/lib/tasks/extract_fixtures.rake
@@ -35,4 +35,4 @@ task :extract_fixtures => :environment do
       }.to_yaml
     end
   end
-end
\ No newline at end of file
+end
-- 
1.7.1


From ca3d3faee9ffd8ecfd91ff6cc04c345ed8c33719 Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Sat, 25 Aug 2012 13:22:48 +0200
Subject: Rails3 compatibility: replace RAILS_ROOT with Rails.root

--HG--
extra : source : bd0a75e8185d14b724031fcfe63d66c8c45358a6
---
 app/models/attachment.rb                           |    2 +-
 app/models/setting.rb                              |    2 +-
 .../chiliproject_plugin_controller_generator.rb    |    2 +-
 .../chiliproject_plugin_model_generator.rb         |    2 +-
 lib/redmine/i18n.rb                                |    2 +-
 lib/redmine/plugin.rb                              |    2 +-
 lib/redmine/scm/adapters/abstract_adapter.rb       |    6 +++---
 lib/redmine/views/my_page/block.rb                 |    2 +-
 lib/tasks/extract_fixtures.rake                    |    2 +-
 lib/tasks/initializers.rake                        |    2 +-
 test/fixtures/repositories.yml                     |    4 ++--
 test/functional/application_controller_test.rb     |    2 +-
 test/functional/attachments_controller_test.rb     |    2 +-
 .../repositories_bazaar_controller_test.rb         |    3 +--
 .../functional/repositories_cvs_controller_test.rb |    3 +--
 .../repositories_darcs_controller_test.rb          |    3 +--
 .../repositories_filesystem_controller_test.rb     |    3 +--
 .../functional/repositories_git_controller_test.rb |    3 +--
 .../repositories_mercurial_controller_test.rb      |    2 +-
 test/test_helper.rb                                |   10 +++++-----
 test/unit/changeset_test.rb                        |    4 ++--
 test/unit/helpers/repository_helper_test.rb        |    2 +-
 test/unit/lib/redmine/hook_test.rb                 |    2 +-
 .../redmine/scm/adapters/bazaar_adapter_test.rb    |    3 +--
 .../lib/redmine/scm/adapters/cvs_adapter_test.rb   |    2 +-
 .../lib/redmine/scm/adapters/darcs_adapter_test.rb |    2 +-
 .../scm/adapters/filesystem_adapter_test.rb        |    2 +-
 .../lib/redmine/scm/adapters/git_adapter_test.rb   |    2 +-
 .../redmine/scm/adapters/mercurial_adapter_test.rb |    3 +--
 test/unit/repository_bazaar_test.rb                |    4 +---
 test/unit/repository_cvs_test.rb                   |    3 +--
 test/unit/repository_darcs_test.rb                 |    3 +--
 test/unit/repository_filesystem_test.rb            |    3 +--
 test/unit/repository_git_test.rb                   |    3 +--
 test/unit/repository_mercurial_test.rb             |    4 +---
 vendor/plugins/open_id_authentication/README       |    2 +-
 vendor/plugins/rfpdf/lib/tcpdf.rb                  |    8 ++++----
 37 files changed, 48 insertions(+), 63 deletions(-)

diff --git a/app/models/attachment.rb b/app/models/attachment.rb
index e90be3b..031e905 100644
--- a/app/models/attachment.rb
+++ b/app/models/attachment.rb
@@ -56,7 +56,7 @@ class Attachment < ActiveRecord::Base
   end
 
   cattr_accessor :storage_path
-  @@storage_path = Redmine::Configuration['attachments_storage_path'] || "#{RAILS_ROOT}/files"
+  @@storage_path = Redmine::Configuration['attachments_storage_path'] || Rails.root.join("files")
 
   def validate
     if self.filesize > Setting.attachment_max_size.to_i.kilobytes
diff --git a/app/models/setting.rb b/app/models/setting.rb
index dbbe4fd..22db0e1 100644
--- a/app/models/setting.rb
+++ b/app/models/setting.rb
@@ -72,7 +72,7 @@ class Setting < ActiveRecord::Base
                   TIS-620)
 
   cattr_accessor :available_settings
-  @@available_settings = YAML::load(File.open("#{RAILS_ROOT}/config/settings.yml"))
+  @@available_settings = YAML::load(File.open(Rails.root.join("config", "settings.yml")))
   Redmine::Plugin.all.each do |plugin|
     next unless plugin.settings
     @@available_settings["plugin_#{plugin.id}"] = {'default' => plugin.settings[:default], 'serialized' => true}
diff --git a/lib/generators/chiliproject_plugin_controller/chiliproject_plugin_controller_generator.rb b/lib/generators/chiliproject_plugin_controller/chiliproject_plugin_controller_generator.rb
index 75f2e21..86fee4e 100644
--- a/lib/generators/chiliproject_plugin_controller/chiliproject_plugin_controller_generator.rb
+++ b/lib/generators/chiliproject_plugin_controller/chiliproject_plugin_controller_generator.rb
@@ -28,7 +28,7 @@ class ChiliprojectPluginControllerGenerator < ControllerGenerator
   end
 
   def destination_root
-    File.join(RAILS_ROOT, plugin_path)
+    Rails.root.join(plugin_path)
   end
 
   def manifest
diff --git a/lib/generators/chiliproject_plugin_model/chiliproject_plugin_model_generator.rb b/lib/generators/chiliproject_plugin_model/chiliproject_plugin_model_generator.rb
index d66bc04..3d36c45 100644
--- a/lib/generators/chiliproject_plugin_model/chiliproject_plugin_model_generator.rb
+++ b/lib/generators/chiliproject_plugin_model/chiliproject_plugin_model_generator.rb
@@ -28,7 +28,7 @@ class ChiliprojectPluginModelGenerator < ModelGenerator
   end
 
   def destination_root
-    File.join(RAILS_ROOT, plugin_path)
+    Rails.root.join(plugin_path)
   end
 
   def manifest
diff --git a/lib/redmine/i18n.rb b/lib/redmine/i18n.rb
index 0b050d0..61f308c 100644
--- a/lib/redmine/i18n.rb
+++ b/lib/redmine/i18n.rb
@@ -72,7 +72,7 @@ module Redmine
     end
 
     def valid_languages
-      @@valid_languages ||= Dir.glob(File.join(RAILS_ROOT, 'config', 'locales', '*.yml')).collect {|f| File.basename(f).split('.').first}.collect(&:to_sym)
+      @@valid_languages ||= Dir.glob(Rails.root.join('config', 'locales', '*.yml')).collect {|f| File.basename(f).split('.').first}.collect(&:to_sym)
     end
 
     def find_language(lang)
diff --git a/lib/redmine/plugin.rb b/lib/redmine/plugin.rb
index 8041a8a..e4ead38 100644
--- a/lib/redmine/plugin.rb
+++ b/lib/redmine/plugin.rb
@@ -85,7 +85,7 @@ module Redmine #:nodoc:
       p.name(id.to_s.humanize) if p.name.nil?
       # Adds plugin locales if any
       # YAML translation files should be found under <plugin>/config/locales/
-      ::I18n.load_path += Dir.glob(File.join(RAILS_ROOT, 'vendor', 'plugins', id.to_s, 'config', 'locales', '*.yml'))
+      ::I18n.load_path += Dir.glob(Rails.root.join('vendor', 'plugins', id.to_s, 'config', 'locales', '*.yml'))
       registered_plugins[id] = p
 
       # If there are plugins waiting for us to be loaded, we try loading those, again
diff --git a/lib/redmine/scm/adapters/abstract_adapter.rb b/lib/redmine/scm/adapters/abstract_adapter.rb
index fa3a2d1..a6b5953 100644
--- a/lib/redmine/scm/adapters/abstract_adapter.rb
+++ b/lib/redmine/scm/adapters/abstract_adapter.rb
@@ -53,9 +53,9 @@ module Redmine
 
           def shell_quote(str)
             if Redmine::Platform.mswin?
-              '"' + str.gsub(/"/, '\\"') + '"'
+              '"' + str.to_s.gsub(/"/, '\\"') + '"'
             else
-              "'" + str.gsub(/'/, "'\"'\"'") + "'"
+              "'" + str.to_s.gsub(/'/, "'\"'\"'") + "'"
             end
           end
         end
@@ -195,7 +195,7 @@ module Redmine
           logger.debug "Shelling out: #{strip_credential(cmd)}" if logger && logger.debug?
           if Rails.env == 'development'
             # Capture stderr when running in dev environment
-            cmd = "#{cmd} 2>>#{RAILS_ROOT}/log/scm.stderr.log"
+            cmd = "#{cmd} 2>>#{shell_quote Rails.root.join('log', 'scm.stderr.log')}"
           end
           begin
             if RUBY_VERSION < '1.9'
diff --git a/lib/redmine/views/my_page/block.rb b/lib/redmine/views/my_page/block.rb
index 828a947..ac44477 100644
--- a/lib/redmine/views/my_page/block.rb
+++ b/lib/redmine/views/my_page/block.rb
@@ -17,7 +17,7 @@ module Redmine
     module MyPage
       module Block
         def self.additional_blocks
-          @@additional_blocks ||= Dir.glob("#{RAILS_ROOT}/vendor/plugins/*/app/views/my/blocks/_*.{rhtml,erb}").inject({}) do |h,file|
+          @@additional_blocks ||= Dir.glob(Rails.root.join("vendor/plugins/*/app/views/my/blocks/_*.{rhtml,erb}")).inject({}) do |h,file|
             name = File.basename(file).split('.').first.gsub(/^_/, '')
             h[name] = name.to_sym
             h
diff --git a/lib/tasks/extract_fixtures.rake b/lib/tasks/extract_fixtures.rake
index b6551a6..adfdc5b 100644
--- a/lib/tasks/extract_fixtures.rake
+++ b/lib/tasks/extract_fixtures.rake
@@ -21,7 +21,7 @@ task :extract_fixtures => :environment do
   ActiveRecord::Base.establish_connection
   (ActiveRecord::Base.connection.tables - skip_tables).each do |table_name|
     i = "000"
-    File.open("#{RAILS_ROOT}/#{table_name}.yml", 'w' ) do |file|
+    File.open(Rails.root.join("#{table_name}.yml"), 'w' ) do |file|
       data = ActiveRecord::Base.connection.select_all(sql % table_name)
       file.write data.inject({}) { |hash, record|
 
diff --git a/lib/tasks/initializers.rake b/lib/tasks/initializers.rake
index 5f54d6a..2c74c33 100644
--- a/lib/tasks/initializers.rake
+++ b/lib/tasks/initializers.rake
@@ -15,7 +15,7 @@
 desc 'Generates a configuration file for cookie store sessions.'
 
 file 'config/initializers/session_store.rb' do
-  path = File.join(RAILS_ROOT, 'config', 'initializers', 'session_store.rb')
+  path = Rails.root.join('config', 'initializers', 'session_store.rb')
   secret = ActiveSupport::SecureRandom.hex(40)
   File.open(path, 'w') do |f|
     f.write <<"EOF"
diff --git a/test/fixtures/repositories.yml b/test/fixtures/repositories.yml
index f3b9e60..8144891 100644
--- a/test/fixtures/repositories.yml
+++ b/test/fixtures/repositories.yml
@@ -1,9 +1,9 @@
 ---
 repositories_001:
   project_id: 1
-  url: file:///<%= RAILS_ROOT.gsub(%r{config\/\.\.}, '') %>/tmp/test/subversion_repository
+  url: file://<%= Rails.root.join('tmp/test/subversion_repository') %>
   id: 10
-  root_url: file:///<%= RAILS_ROOT.gsub(%r{config\/\.\.}, '') %>/tmp/test/subversion_repository
+  root_url: file://<%= Rails.root.join('tmp/test/subversion_repository') %>
   password: ""
   login: ""
   type: Subversion
diff --git a/test/functional/application_controller_test.rb b/test/functional/application_controller_test.rb
index 258e1c4..999a5b8 100644
--- a/test/functional/application_controller_test.rb
+++ b/test/functional/application_controller_test.rb
@@ -28,7 +28,7 @@ class ApplicationControllerTest < ActionController::TestCase
 
   # check that all language files are valid
   def test_localization
-    lang_files_count = Dir["#{RAILS_ROOT}/config/locales/*.yml"].size
+    lang_files_count = Dir[Rails.root.join("config", "locales", "*.yml")].size
     assert_equal lang_files_count, valid_languages.size
     valid_languages.each do |lang|
       assert set_language_if_valid(lang)
diff --git a/test/functional/attachments_controller_test.rb b/test/functional/attachments_controller_test.rb
index 769cfb4..a478067 100644
--- a/test/functional/attachments_controller_test.rb
+++ b/test/functional/attachments_controller_test.rb
@@ -27,7 +27,7 @@ class AttachmentsControllerTest < ActionController::TestCase
     @controller = AttachmentsController.new
     @request    = ActionController::TestRequest.new
     @response   = ActionController::TestResponse.new
-    Attachment.storage_path = "#{RAILS_ROOT}/test/fixtures/files"
+    Attachment.storage_path = Rails.root.join("test", "fixtures", "files")
     User.current = nil
   end
 
diff --git a/test/functional/repositories_bazaar_controller_test.rb b/test/functional/repositories_bazaar_controller_test.rb
index 683e239..f1e9783 100644
--- a/test/functional/repositories_bazaar_controller_test.rb
+++ b/test/functional/repositories_bazaar_controller_test.rb
@@ -20,8 +20,7 @@ class RepositoriesController; def rescue_action(e) raise e end; end
 class RepositoriesBazaarControllerTest < ActionController::TestCase
   fixtures :projects, :users, :roles, :members, :member_roles, :repositories, :enabled_modules
 
-  # No '..' in the repository path
-  REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/bazaar_repository'
+  REPOSITORY_PATH = Rails.root.join('tmp/test/bazaar_repository')
 
   def setup
     @controller = RepositoriesController.new
diff --git a/test/functional/repositories_cvs_controller_test.rb b/test/functional/repositories_cvs_controller_test.rb
index d77fd53..9464d0d 100644
--- a/test/functional/repositories_cvs_controller_test.rb
+++ b/test/functional/repositories_cvs_controller_test.rb
@@ -20,8 +20,7 @@ class RepositoriesController; def rescue_action(e) raise e end; end
 class RepositoriesCvsControllerTest < ActionController::TestCase
   fixtures :projects, :users, :roles, :members, :member_roles, :repositories, :enabled_modules
 
-  # No '..' in the repository path
-  REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/cvs_repository'
+  REPOSITORY_PATH = Rails.root.join('tmp/test/cvs_repository').to_s
   REPOSITORY_PATH.gsub!(/\//, "\\") if Redmine::Platform.mswin?
   # CVS module
   MODULE_NAME = 'test'
diff --git a/test/functional/repositories_darcs_controller_test.rb b/test/functional/repositories_darcs_controller_test.rb
index 8c87e46..034112b 100644
--- a/test/functional/repositories_darcs_controller_test.rb
+++ b/test/functional/repositories_darcs_controller_test.rb
@@ -20,8 +20,7 @@ class RepositoriesController; def rescue_action(e) raise e end; end
 class RepositoriesDarcsControllerTest < ActionController::TestCase
   fixtures :projects, :users, :roles, :members, :member_roles, :repositories, :enabled_modules
 
-  # No '..' in the repository path
-  REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/darcs_repository'
+  REPOSITORY_PATH = Rails.root.join('tmp/test/darcs_repository')
   PRJ_ID = 3
 
   def setup
diff --git a/test/functional/repositories_filesystem_controller_test.rb b/test/functional/repositories_filesystem_controller_test.rb
index fcfce0a..e2fb03d 100644
--- a/test/functional/repositories_filesystem_controller_test.rb
+++ b/test/functional/repositories_filesystem_controller_test.rb
@@ -20,8 +20,7 @@ class RepositoriesController; def rescue_action(e) raise e end; end
 class RepositoriesFilesystemControllerTest < ActionController::TestCase
   fixtures :projects, :users, :roles, :members, :member_roles, :repositories, :enabled_modules
 
-  # No '..' in the repository path
-  REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/filesystem_repository'
+  REPOSITORY_PATH = Rails.root.join('tmp/test/filesystem_repository')
   PRJ_ID = 3
 
   def setup
diff --git a/test/functional/repositories_git_controller_test.rb b/test/functional/repositories_git_controller_test.rb
index ee19515..de5b3d5 100644
--- a/test/functional/repositories_git_controller_test.rb
+++ b/test/functional/repositories_git_controller_test.rb
@@ -20,8 +20,7 @@ class RepositoriesController; def rescue_action(e) raise e end; end
 class RepositoriesGitControllerTest < ActionController::TestCase
   fixtures :projects, :users, :roles, :members, :member_roles, :repositories, :enabled_modules
 
-  # No '..' in the repository path
-  REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/git_repository'
+  REPOSITORY_PATH = Rails.root.join('tmp/test/git_repository').to_s
   REPOSITORY_PATH.gsub!(/\//, "\\") if Redmine::Platform.mswin?
 
   def setup
diff --git a/test/functional/repositories_mercurial_controller_test.rb b/test/functional/repositories_mercurial_controller_test.rb
index 2413808..eec91b8 100644
--- a/test/functional/repositories_mercurial_controller_test.rb
+++ b/test/functional/repositories_mercurial_controller_test.rb
@@ -21,7 +21,7 @@ class RepositoriesMercurialControllerTest < ActionController::TestCase
   fixtures :projects, :users, :roles, :members, :member_roles, :repositories, :enabled_modules
 
   # No '..' in the repository path
-  REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/mercurial_repository'
+  REPOSITORY_PATH = Rails.root.join('tmp/test/mercurial_repository')
   CHAR_1_HEX = "\xc3\x9c"
   PRJ_ID = 3
 
diff --git a/test/test_helper.rb b/test/test_helper.rb
index ac8841a..9a881fb 100644
--- a/test/test_helper.rb
+++ b/test/test_helper.rb
@@ -20,7 +20,7 @@ Coveralls.wear!('rails')
 require File.expand_path(File.dirname(__FILE__) + "/../config/environment")
 require 'test_help'
 require File.expand_path(File.dirname(__FILE__) + '/helper_testcase')
-require File.join(RAILS_ROOT,'test', 'mocks', 'open_id_authentication_mock.rb')
+require Rails.root.join('test', 'mocks', 'open_id_authentication_mock.rb')
 
 require File.expand_path(File.dirname(__FILE__) + '/object_daddy_helpers')
 include ObjectDaddyHelpers
@@ -85,9 +85,9 @@ class ActiveSupport::TestCase
 
   # Use a temporary directory for attachment related tests
   def set_tmp_attachments_directory
-    Dir.mkdir "#{RAILS_ROOT}/tmp/test" unless File.directory?("#{RAILS_ROOT}/tmp/test")
-    Dir.mkdir "#{RAILS_ROOT}/tmp/test/attachments" unless File.directory?("#{RAILS_ROOT}/tmp/test/attachments")
-    Attachment.storage_path = "#{RAILS_ROOT}/tmp/test/attachments"
+    p = Rails.root.join("tmp", "test", "attachments")
+    FileUtils.mkdir_p(p)
+    Attachment.storage_path = p.to_s
   end
 
   def with_settings(options, &block)
@@ -114,7 +114,7 @@ class ActiveSupport::TestCase
 
   # Returns the path to the test +vendor+ repository
   def self.repository_path(vendor)
-    File.join(RAILS_ROOT.gsub(%r{config\/\.\.}, ''), "/tmp/test/#{vendor.downcase}_repository")
+    Rails.root.join("tmp/test/#{vendor.downcase}_repository").to_s
   end
 
   # Returns the url of the subversion test repository
diff --git a/test/unit/changeset_test.rb b/test/unit/changeset_test.rb
index 4eb11c9..36c2d2e 100644
--- a/test/unit/changeset_test.rb
+++ b/test/unit/changeset_test.rb
@@ -224,7 +224,7 @@ class ChangesetTest < ActiveSupport::TestCase
 
   def test_comments_should_be_converted_to_utf8
       proj = Project.find(3)
-      str = File.read("#{RAILS_ROOT}/test/fixtures/encoding/iso-8859-1.txt")
+      str = File.read(Rails.root.join("test/fixtures/encoding/iso-8859-1.txt"))
       r = Repository::Bazaar.create!(
             :project => proj, :url => '/tmp/test/bazaar',
             :log_encoding => 'ISO-8859-1' )
@@ -240,7 +240,7 @@ class ChangesetTest < ActiveSupport::TestCase
 
   def test_invalid_utf8_sequences_in_comments_should_be_replaced_latin1
       proj = Project.find(3)
-      str = File.read("#{RAILS_ROOT}/test/fixtures/encoding/iso-8859-1.txt")
+      str = File.read(Rails.root.join("test/fixtures/encoding/iso-8859-1.txt"))
       r = Repository::Bazaar.create!(
             :project => proj,
             :url => '/tmp/test/bazaar',
diff --git a/test/unit/helpers/repository_helper_test.rb b/test/unit/helpers/repository_helper_test.rb
index 6760f54..65661bf 100644
--- a/test/unit/helpers/repository_helper_test.rb
+++ b/test/unit/helpers/repository_helper_test.rb
@@ -85,7 +85,7 @@ class RepositoryHelperTest < HelperTestCase
 
   def test_to_utf8_for_repositories_invalid_utf8_sequences_should_be_stripped
     with_settings :repositories_encodings => '' do
-      s1 = File.read("#{RAILS_ROOT}/test/fixtures/encoding/iso-8859-1.txt")
+      s1 = File.read(Rails.root.join('test/fixtures/encoding/iso-8859-1.txt'))
       str = to_utf8_for_repositories(s1)
       if str.respond_to?(:force_encoding)
         assert_equal "Texte encod? en ISO-8859-1.", str
diff --git a/test/unit/lib/redmine/hook_test.rb b/test/unit/lib/redmine/hook_test.rb
index 1221fc4..7897f9b 100644
--- a/test/unit/lib/redmine/hook_test.rb
+++ b/test/unit/lib/redmine/hook_test.rb
@@ -162,7 +162,7 @@ class Redmine::Hook::ManagerTest < ActiveSupport::TestCase
   end
 
   def view_hook_helper
-    @view_hook_helper ||= TestHookHelperView.new(RAILS_ROOT + '/app/views')
+    @view_hook_helper ||= TestHookHelperView.new(Rails.root.join('app', 'views').to_s)
   end
 end
 
diff --git a/test/unit/lib/redmine/scm/adapters/bazaar_adapter_test.rb b/test/unit/lib/redmine/scm/adapters/bazaar_adapter_test.rb
index 99512c0..2b2d84b 100644
--- a/test/unit/lib/redmine/scm/adapters/bazaar_adapter_test.rb
+++ b/test/unit/lib/redmine/scm/adapters/bazaar_adapter_test.rb
@@ -18,8 +18,7 @@ begin
 
   class BazaarAdapterTest < ActiveSupport::TestCase
 
-    REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/bazaar_repository'
-    REPOSITORY_PATH.gsub!(/\/+/, '/')
+    REPOSITORY_PATH = Rails.root.join('tmp/test/bazaar_repository')
 
     if File.directory?(REPOSITORY_PATH)
       def setup
diff --git a/test/unit/lib/redmine/scm/adapters/cvs_adapter_test.rb b/test/unit/lib/redmine/scm/adapters/cvs_adapter_test.rb
index a3d5457..5d5b26e 100644
--- a/test/unit/lib/redmine/scm/adapters/cvs_adapter_test.rb
+++ b/test/unit/lib/redmine/scm/adapters/cvs_adapter_test.rb
@@ -18,7 +18,7 @@ begin
 
   class CvsAdapterTest < ActiveSupport::TestCase
 
-    REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/cvs_repository'
+    REPOSITORY_PATH = Rails.root.join('tmp/test/cvs_repository').to_s
     REPOSITORY_PATH.gsub!(/\//, "\\") if Redmine::Platform.mswin?
     MODULE_NAME = 'test'
 
diff --git a/test/unit/lib/redmine/scm/adapters/darcs_adapter_test.rb b/test/unit/lib/redmine/scm/adapters/darcs_adapter_test.rb
index 37c84df..ed4a348 100644
--- a/test/unit/lib/redmine/scm/adapters/darcs_adapter_test.rb
+++ b/test/unit/lib/redmine/scm/adapters/darcs_adapter_test.rb
@@ -18,7 +18,7 @@ begin
 
   class DarcsAdapterTest < ActiveSupport::TestCase
 
-    REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/darcs_repository'
+    REPOSITORY_PATH = Rails.root.join('tmp/test/darcs_repository')
 
     if File.directory?(REPOSITORY_PATH)
       def setup
diff --git a/test/unit/lib/redmine/scm/adapters/filesystem_adapter_test.rb b/test/unit/lib/redmine/scm/adapters/filesystem_adapter_test.rb
index 30d2026..c6550d3 100644
--- a/test/unit/lib/redmine/scm/adapters/filesystem_adapter_test.rb
+++ b/test/unit/lib/redmine/scm/adapters/filesystem_adapter_test.rb
@@ -17,7 +17,7 @@ require File.expand_path('../../../../../../test_helper', __FILE__)
 
 class FilesystemAdapterTest < ActiveSupport::TestCase
 
-  REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/filesystem_repository'
+  REPOSITORY_PATH = Rails.root.join('tmp/test/filesystem_repository').to_s
 
   if File.directory?(REPOSITORY_PATH)
     def setup
diff --git a/test/unit/lib/redmine/scm/adapters/git_adapter_test.rb b/test/unit/lib/redmine/scm/adapters/git_adapter_test.rb
index b59fd1a..0848bde 100644
--- a/test/unit/lib/redmine/scm/adapters/git_adapter_test.rb
+++ b/test/unit/lib/redmine/scm/adapters/git_adapter_test.rb
@@ -20,7 +20,7 @@ begin
   require 'mocha'
 
   class GitAdapterTest < ActiveSupport::TestCase
-    REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/git_repository'
+    REPOSITORY_PATH = Rails.root.join('tmp/test/git_repository')
 
     FELIX_UTF8 = "Felix Schäfer"
     FELIX_HEX  = "Felix Sch\xC3\xA4fer"
diff --git a/test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb b/test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb
index f1e5055..f114472 100644
--- a/test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb
+++ b/test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb
@@ -22,8 +22,7 @@ begin
     TEMPLATE_NAME = Redmine::Scm::Adapters::MercurialAdapter::TEMPLATE_NAME
     TEMPLATE_EXTENSION = Redmine::Scm::Adapters::MercurialAdapter::TEMPLATE_EXTENSION
 
-    REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/mercurial_repository'
-
+    REPOSITORY_PATH = Rails.root.join('tmp/test/mercurial_repository').to_s
     CHAR_1_HEX = "\xc3\x9c"
 
     if File.directory?(REPOSITORY_PATH)
diff --git a/test/unit/repository_bazaar_test.rb b/test/unit/repository_bazaar_test.rb
index 7d0266d..ebfc2da 100644
--- a/test/unit/repository_bazaar_test.rb
+++ b/test/unit/repository_bazaar_test.rb
@@ -16,9 +16,7 @@ require File.expand_path('../../test_helper', __FILE__)
 class RepositoryBazaarTest < ActiveSupport::TestCase
   fixtures :projects
 
-  # No '..' in the repository path
-  REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/bazaar_repository'
-  REPOSITORY_PATH.gsub!(/\/+/, '/')
+  REPOSITORY_PATH = Rails.root.join('tmp/test/bazaar_repository')
 
   def setup
     @project = Project.find(3)
diff --git a/test/unit/repository_cvs_test.rb b/test/unit/repository_cvs_test.rb
index fa20094..6e1c93b 100644
--- a/test/unit/repository_cvs_test.rb
+++ b/test/unit/repository_cvs_test.rb
@@ -16,8 +16,7 @@ require 'pp'
 class RepositoryCvsTest < ActiveSupport::TestCase
   fixtures :projects
 
-  # No '..' in the repository path
-  REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/cvs_repository'
+  REPOSITORY_PATH = Rails.root.join('tmp/test/cvs_repository').to_s
   REPOSITORY_PATH.gsub!(/\//, "\\") if Redmine::Platform.mswin?
   # CVS module
   MODULE_NAME = 'test'
diff --git a/test/unit/repository_darcs_test.rb b/test/unit/repository_darcs_test.rb
index 6d874a2..2e1ea08 100644
--- a/test/unit/repository_darcs_test.rb
+++ b/test/unit/repository_darcs_test.rb
@@ -16,8 +16,7 @@ require File.expand_path('../../test_helper', __FILE__)
 class RepositoryDarcsTest < ActiveSupport::TestCase
   fixtures :projects
 
-  # No '..' in the repository path
-  REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/darcs_repository'
+  REPOSITORY_PATH = Rails.root.join('tmp/test/darcs_repository')
 
   def setup
     @project = Project.find(3)
diff --git a/test/unit/repository_filesystem_test.rb b/test/unit/repository_filesystem_test.rb
index 10df1f8..21bb2a1 100644
--- a/test/unit/repository_filesystem_test.rb
+++ b/test/unit/repository_filesystem_test.rb
@@ -16,8 +16,7 @@ require File.expand_path('../../test_helper', __FILE__)
 class RepositoryFilesystemTest < ActiveSupport::TestCase
   fixtures :projects
 
-  # No '..' in the repository path
-  REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/filesystem_repository'
+  REPOSITORY_PATH = Rails.root.join('tmp/test/filesystem_repository')
 
   def setup
     @project = Project.find(3)
diff --git a/test/unit/repository_git_test.rb b/test/unit/repository_git_test.rb
index 11011a6..ee1ae18 100644
--- a/test/unit/repository_git_test.rb
+++ b/test/unit/repository_git_test.rb
@@ -16,8 +16,7 @@ require File.expand_path('../../test_helper', __FILE__)
 class RepositoryGitTest < ActiveSupport::TestCase
   fixtures :projects, :repositories, :enabled_modules, :users, :roles
 
-  # No '..' in the repository path
-  REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/git_repository'
+  REPOSITORY_PATH = Rails.root.join('tmp/test/git_repository').to_s
   REPOSITORY_PATH.gsub!(/\//, "\\") if Redmine::Platform.mswin?
 
   FELIX_HEX  = "Felix Sch\xC3\xA4fer"
diff --git a/test/unit/repository_mercurial_test.rb b/test/unit/repository_mercurial_test.rb
index 4132b46..533ae17 100644
--- a/test/unit/repository_mercurial_test.rb
+++ b/test/unit/repository_mercurial_test.rb
@@ -16,9 +16,7 @@ require File.expand_path('../../test_helper', __FILE__)
 class RepositoryMercurialTest < ActiveSupport::TestCase
   fixtures :projects
 
-  # No '..' in the repository path
-  REPOSITORY_PATH = RAILS_ROOT.gsub(%r{config\/\.\.}, '') + '/tmp/test/mercurial_repository'
-
+  REPOSITORY_PATH = Rails.root.join('tmp/test/mercurial_repository')
   CHAR_1_HEX = "\xc3\x9c"
 
   def setup
diff --git a/vendor/plugins/open_id_authentication/README b/vendor/plugins/open_id_authentication/README
index 807cdc7..b05c9fc 100644
--- a/vendor/plugins/open_id_authentication/README
+++ b/vendor/plugins/open_id_authentication/README
@@ -24,7 +24,7 @@ Or, use the included generators to install or upgrade:
   ./script/generate open_id_authentication_tables MigrationName
   ./script/generate upgrade_open_id_authentication_tables MigrationName
 
-Alternatively, you can use the file-based store, which just relies on on tmp/openids being present in RAILS_ROOT. But be aware that this store only works if you have a single application server. And it's not safe to use across NFS. It's recommended that you use the database store if at all possible. To use the file-based store, you'll also have to add this line to your config/environment.rb:
+Alternatively, you can use the file-based store, which just relies on on tmp/openids being present in Rails.root. But be aware that this store only works if you have a single application server. And it's not safe to use across NFS. It's recommended that you use the database store if at all possible. To use the file-based store, you'll also have to add this line to your config/environment.rb:
 
   OpenIdAuthentication.store = :file
 
diff --git a/vendor/plugins/rfpdf/lib/tcpdf.rb b/vendor/plugins/rfpdf/lib/tcpdf.rb
index 85a78af..15d3a9b 100755
--- a/vendor/plugins/rfpdf/lib/tcpdf.rb
+++ b/vendor/plugins/rfpdf/lib/tcpdf.rb
@@ -83,11 +83,11 @@ class TCPDF
   @@k_small_ratio = 2/3.0
   
   cattr_accessor :k_path_cache
-  @@k_path_cache = File.join(RAILS_ROOT, 'tmp')
-  
+  @@k_path_cache = Rails.root.join('tmp')
+
   cattr_accessor :k_path_url_cache
-  @@k_path_url_cache = File.join(RAILS_ROOT, 'tmp')
-  
+  @@k_path_url_cache = Rails.root.join('tmp')
+
   cattr_accessor :decoder
 		
 	attr_accessor :barcode
-- 
1.7.1


From 43324f34e525be69c7e03fdcc6da94bbf0777f22 Mon Sep 17 00:00:00 2001
From: tmaruyama <none@none>
Date: Mon, 26 Sep 2011 16:20:57 +0000
Subject: Rails3: mail: rename app/views/layouts/mailer.text.plain.erb to app/views/layouts/mailer.text.erb

--HG--
rename : app/views/layouts/mailer.text.plain.erb => app/views/layouts/mailer.text.erb
extra : source : 27fd10200cf0cbf211648ee31f42a22be876ec77
---
 app/models/mailer.rb                               |   11 ++++++++---
 .../{mailer.text.plain.erb => mailer.text.erb}     |    0
 2 files changed, 8 insertions(+), 3 deletions(-)
 rename app/views/layouts/{mailer.text.plain.erb => mailer.text.erb} (100%)

diff --git a/app/models/mailer.rb b/app/models/mailer.rb
index 7cfaead..32371be 100644
--- a/app/models/mailer.rb
+++ b/app/models/mailer.rb
@@ -446,11 +446,16 @@ class Mailer < ActionMailer::Base
   def render_multipart(method_name, body)
     if Setting.plain_text_mail?
       content_type "text/plain"
-      body render(:file => "#{method_name}.text.plain.rhtml", :body => body, :layout => 'mailer.text.plain.erb')
+      body render(:file => "#{method_name}.text.plain.rhtml",
+                  :body => body,
+                  :layout => 'mailer.text.erb')
     else
       content_type "multipart/alternative"
-      part :content_type => "text/plain", :body => render(:file => "#{method_name}.text.plain.rhtml", :body => body, :layout => 'mailer.text.plain.erb')
-      part :content_type => "text/html", :body => render_message("#{method_name}.text.html.rhtml", body)
+      part :content_type => "text/plain",
+           :body => render(:file => "#{method_name}.text.plain.rhtml",
+                           :body => body, :layout => 'mailer.text.erb')
+      part :content_type => "text/html",
+           :body => render_message("#{method_name}.text.html.rhtml", body)
     end
   end
 
diff --git a/app/views/layouts/mailer.text.plain.erb b/app/views/layouts/mailer.text.erb
similarity index 100%
rename from app/views/layouts/mailer.text.plain.erb
rename to app/views/layouts/mailer.text.erb
-- 
1.7.1


From 555398ea1bc6edff8fbef843db7a128a4c66f5de Mon Sep 17 00:00:00 2001
From: tmaruyama <none@none>
Date: Mon, 26 Sep 2011 16:21:56 +0000
Subject: Rails3: mail: rename app/views/layouts/mailer.text.html.erb to app/views/layouts/mailer.html.erb

--HG--
rename : app/views/layouts/mailer.text.html.erb => app/views/layouts/mailer.html.erb
extra : source : d80b333cb48f0f69b9740fd5a812d7138159af25
---
 .../{mailer.text.html.erb => mailer.html.erb}      |    0
 1 files changed, 0 insertions(+), 0 deletions(-)
 rename app/views/layouts/{mailer.text.html.erb => mailer.html.erb} (100%)

diff --git a/app/views/layouts/mailer.text.html.erb b/app/views/layouts/mailer.html.erb
similarity index 100%
rename from app/views/layouts/mailer.text.html.erb
rename to app/views/layouts/mailer.html.erb
-- 
1.7.1


From 4fbd2b2e6fa9676f7eccaacc82490f007930bf73 Mon Sep 17 00:00:00 2001
From: tmaruyama <none@none>
Date: Mon, 26 Sep 2011 16:22:38 +0000
Subject: Rails3: mail: rename app/views/mailer/*.text.plain.rhtml to app/views/mailer/*.text.erb

--HG--
rename : app/views/mailer/account_activated.text.plain.rhtml => app/views/mailer/account_activated.text.erb
rename : app/views/mailer/account_activation_request.text.plain.rhtml => app/views/mailer/account_activation_request.text.erb
rename : app/views/mailer/account_information.text.plain.rhtml => app/views/mailer/account_information.text.erb
rename : app/views/mailer/attachments_added.text.plain.rhtml => app/views/mailer/attachments_added.text.erb
rename : app/views/mailer/document_added.text.plain.rhtml => app/views/mailer/document_added.text.erb
rename : app/views/mailer/issue_add.text.plain.rhtml => app/views/mailer/issue_add.text.erb
rename : app/views/mailer/issue_edit.text.plain.rhtml => app/views/mailer/issue_edit.text.erb
rename : app/views/mailer/lost_password.text.plain.rhtml => app/views/mailer/lost_password.text.erb
rename : app/views/mailer/mail_handler_confirmation.text.plain.rhtml => app/views/mailer/mail_handler_confirmation.text.erb
rename : app/views/mailer/mail_handler_missing_information.text.plain.rhtml => app/views/mailer/mail_handler_missing_information.text.erb
rename : app/views/mailer/mail_handler_unauthorized_action.text.plain.rhtml => app/views/mailer/mail_handler_unauthorized_action.text.erb
rename : app/views/mailer/message_posted.text.plain.rhtml => app/views/mailer/message_posted.text.erb
rename : app/views/mailer/news_added.text.plain.rhtml => app/views/mailer/news_added.text.erb
rename : app/views/mailer/news_comment_added.text.plain.rhtml => app/views/mailer/news_comment_added.text.erb
rename : app/views/mailer/register.text.plain.rhtml => app/views/mailer/register.text.erb
rename : app/views/mailer/reminder.text.plain.rhtml => app/views/mailer/reminder.text.erb
rename : app/views/mailer/test.text.plain.rhtml => app/views/mailer/test.text.erb
rename : app/views/mailer/wiki_content_added.text.plain.rhtml => app/views/mailer/wiki_content_added.text.erb
rename : app/views/mailer/wiki_content_updated.text.plain.rhtml => app/views/mailer/wiki_content_updated.text.erb
extra : source : d790a5bae1f1a3ec5d24c83b4278024a077c7b23
---
 app/models/mailer.rb                               |    4 ++--
 ...text.plain.rhtml => account_activated.text.erb} |    0
 ...n.rhtml => account_activation_request.text.erb} |    0
 ...xt.plain.rhtml => account_information.text.erb} |    0
 ...text.plain.rhtml => attachments_added.text.erb} |    0
 ...ed.text.plain.rhtml => document_added.text.erb} |    0
 ...sue_add.text.plain.rhtml => issue_add.text.erb} |    0
 ...e_edit.text.plain.rhtml => issue_edit.text.erb} |    0
 ...ord.text.plain.rhtml => lost_password.text.erb} |    0
 ...in.rhtml => mail_handler_confirmation.text.erb} |    0
 ...l => mail_handler_missing_information.text.erb} |    0
 ...l => mail_handler_unauthorized_action.text.erb} |    0
 ...ed.text.plain.rhtml => message_posted.text.erb} |    0
 ..._added.text.plain.rhtml => news_added.text.erb} |    0
 ...ext.plain.rhtml => news_comment_added.text.erb} |    0
 ...register.text.plain.rhtml => register.text.erb} |    0
 ...reminder.text.plain.rhtml => reminder.text.erb} |    0
 .../{test.text.plain.rhtml => test.text.erb}       |    0
 ...ext.plain.rhtml => wiki_content_added.text.erb} |    0
 ...t.plain.rhtml => wiki_content_updated.text.erb} |    0
 20 files changed, 2 insertions(+), 2 deletions(-)
 rename app/views/mailer/{account_activated.text.plain.rhtml => account_activated.text.erb} (100%)
 rename app/views/mailer/{account_activation_request.text.plain.rhtml => account_activation_request.text.erb} (100%)
 rename app/views/mailer/{account_information.text.plain.rhtml => account_information.text.erb} (100%)
 rename app/views/mailer/{attachments_added.text.plain.rhtml => attachments_added.text.erb} (100%)
 rename app/views/mailer/{document_added.text.plain.rhtml => document_added.text.erb} (100%)
 rename app/views/mailer/{issue_add.text.plain.rhtml => issue_add.text.erb} (100%)
 rename app/views/mailer/{issue_edit.text.plain.rhtml => issue_edit.text.erb} (100%)
 rename app/views/mailer/{lost_password.text.plain.rhtml => lost_password.text.erb} (100%)
 rename app/views/mailer/{mail_handler_confirmation.text.plain.rhtml => mail_handler_confirmation.text.erb} (100%)
 rename app/views/mailer/{mail_handler_missing_information.text.plain.rhtml => mail_handler_missing_information.text.erb} (100%)
 rename app/views/mailer/{mail_handler_unauthorized_action.text.plain.rhtml => mail_handler_unauthorized_action.text.erb} (100%)
 rename app/views/mailer/{message_posted.text.plain.rhtml => message_posted.text.erb} (100%)
 rename app/views/mailer/{news_added.text.plain.rhtml => news_added.text.erb} (100%)
 rename app/views/mailer/{news_comment_added.text.plain.rhtml => news_comment_added.text.erb} (100%)
 rename app/views/mailer/{register.text.plain.rhtml => register.text.erb} (100%)
 rename app/views/mailer/{reminder.text.plain.rhtml => reminder.text.erb} (100%)
 rename app/views/mailer/{test.text.plain.rhtml => test.text.erb} (100%)
 rename app/views/mailer/{wiki_content_added.text.plain.rhtml => wiki_content_added.text.erb} (100%)
 rename app/views/mailer/{wiki_content_updated.text.plain.rhtml => wiki_content_updated.text.erb} (100%)

diff --git a/app/models/mailer.rb b/app/models/mailer.rb
index 32371be..0b1c6cd 100644
--- a/app/models/mailer.rb
+++ b/app/models/mailer.rb
@@ -446,13 +446,13 @@ class Mailer < ActionMailer::Base
   def render_multipart(method_name, body)
     if Setting.plain_text_mail?
       content_type "text/plain"
-      body render(:file => "#{method_name}.text.plain.rhtml",
+      body render(:file => "#{method_name}.text.erb",
                   :body => body,
                   :layout => 'mailer.text.erb')
     else
       content_type "multipart/alternative"
       part :content_type => "text/plain",
-           :body => render(:file => "#{method_name}.text.plain.rhtml",
+           :body => render(:file => "#{method_name}.text.erb",
                            :body => body, :layout => 'mailer.text.erb')
       part :content_type => "text/html",
            :body => render_message("#{method_name}.text.html.rhtml", body)
diff --git a/app/views/mailer/account_activated.text.plain.rhtml b/app/views/mailer/account_activated.text.erb
similarity index 100%
rename from app/views/mailer/account_activated.text.plain.rhtml
rename to app/views/mailer/account_activated.text.erb
diff --git a/app/views/mailer/account_activation_request.text.plain.rhtml b/app/views/mailer/account_activation_request.text.erb
similarity index 100%
rename from app/views/mailer/account_activation_request.text.plain.rhtml
rename to app/views/mailer/account_activation_request.text.erb
diff --git a/app/views/mailer/account_information.text.plain.rhtml b/app/views/mailer/account_information.text.erb
similarity index 100%
rename from app/views/mailer/account_information.text.plain.rhtml
rename to app/views/mailer/account_information.text.erb
diff --git a/app/views/mailer/attachments_added.text.plain.rhtml b/app/views/mailer/attachments_added.text.erb
similarity index 100%
rename from app/views/mailer/attachments_added.text.plain.rhtml
rename to app/views/mailer/attachments_added.text.erb
diff --git a/app/views/mailer/document_added.text.plain.rhtml b/app/views/mailer/document_added.text.erb
similarity index 100%
rename from app/views/mailer/document_added.text.plain.rhtml
rename to app/views/mailer/document_added.text.erb
diff --git a/app/views/mailer/issue_add.text.plain.rhtml b/app/views/mailer/issue_add.text.erb
similarity index 100%
rename from app/views/mailer/issue_add.text.plain.rhtml
rename to app/views/mailer/issue_add.text.erb
diff --git a/app/views/mailer/issue_edit.text.plain.rhtml b/app/views/mailer/issue_edit.text.erb
similarity index 100%
rename from app/views/mailer/issue_edit.text.plain.rhtml
rename to app/views/mailer/issue_edit.text.erb
diff --git a/app/views/mailer/lost_password.text.plain.rhtml b/app/views/mailer/lost_password.text.erb
similarity index 100%
rename from app/views/mailer/lost_password.text.plain.rhtml
rename to app/views/mailer/lost_password.text.erb
diff --git a/app/views/mailer/mail_handler_confirmation.text.plain.rhtml b/app/views/mailer/mail_handler_confirmation.text.erb
similarity index 100%
rename from app/views/mailer/mail_handler_confirmation.text.plain.rhtml
rename to app/views/mailer/mail_handler_confirmation.text.erb
diff --git a/app/views/mailer/mail_handler_missing_information.text.plain.rhtml b/app/views/mailer/mail_handler_missing_information.text.erb
similarity index 100%
rename from app/views/mailer/mail_handler_missing_information.text.plain.rhtml
rename to app/views/mailer/mail_handler_missing_information.text.erb
diff --git a/app/views/mailer/mail_handler_unauthorized_action.text.plain.rhtml b/app/views/mailer/mail_handler_unauthorized_action.text.erb
similarity index 100%
rename from app/views/mailer/mail_handler_unauthorized_action.text.plain.rhtml
rename to app/views/mailer/mail_handler_unauthorized_action.text.erb
diff --git a/app/views/mailer/message_posted.text.plain.rhtml b/app/views/mailer/message_posted.text.erb
similarity index 100%
rename from app/views/mailer/message_posted.text.plain.rhtml
rename to app/views/mailer/message_posted.text.erb
diff --git a/app/views/mailer/news_added.text.plain.rhtml b/app/views/mailer/news_added.text.erb
similarity index 100%
rename from app/views/mailer/news_added.text.plain.rhtml
rename to app/views/mailer/news_added.text.erb
diff --git a/app/views/mailer/news_comment_added.text.plain.rhtml b/app/views/mailer/news_comment_added.text.erb
similarity index 100%
rename from app/views/mailer/news_comment_added.text.plain.rhtml
rename to app/views/mailer/news_comment_added.text.erb
diff --git a/app/views/mailer/register.text.plain.rhtml b/app/views/mailer/register.text.erb
similarity index 100%
rename from app/views/mailer/register.text.plain.rhtml
rename to app/views/mailer/register.text.erb
diff --git a/app/views/mailer/reminder.text.plain.rhtml b/app/views/mailer/reminder.text.erb
similarity index 100%
rename from app/views/mailer/reminder.text.plain.rhtml
rename to app/views/mailer/reminder.text.erb
diff --git a/app/views/mailer/test.text.plain.rhtml b/app/views/mailer/test.text.erb
similarity index 100%
rename from app/views/mailer/test.text.plain.rhtml
rename to app/views/mailer/test.text.erb
diff --git a/app/views/mailer/wiki_content_added.text.plain.rhtml b/app/views/mailer/wiki_content_added.text.erb
similarity index 100%
rename from app/views/mailer/wiki_content_added.text.plain.rhtml
rename to app/views/mailer/wiki_content_added.text.erb
diff --git a/app/views/mailer/wiki_content_updated.text.plain.rhtml b/app/views/mailer/wiki_content_updated.text.erb
similarity index 100%
rename from app/views/mailer/wiki_content_updated.text.plain.rhtml
rename to app/views/mailer/wiki_content_updated.text.erb
-- 
1.7.1


From 8736518bd9d5542b17ab972e3ef6858026ce3150 Mon Sep 17 00:00:00 2001
From: tmaruyama <none@none>
Date: Mon, 26 Sep 2011 16:23:26 +0000
Subject: Rails3: mail: rename app/views/mailer/*.text.html.rhtml to app/views/mailer/*.html.erb

--HG--
rename : app/views/mailer/account_activated.text.html.rhtml => app/views/mailer/account_activated.html.erb
rename : app/views/mailer/account_activation_request.text.html.rhtml => app/views/mailer/account_activation_request.html.erb
rename : app/views/mailer/account_information.text.html.rhtml => app/views/mailer/account_information.html.erb
rename : app/views/mailer/attachments_added.text.html.rhtml => app/views/mailer/attachments_added.html.erb
rename : app/views/mailer/document_added.text.html.rhtml => app/views/mailer/document_added.html.erb
rename : app/views/mailer/issue_add.text.html.rhtml => app/views/mailer/issue_add.html.erb
rename : app/views/mailer/issue_edit.text.html.rhtml => app/views/mailer/issue_edit.html.erb
rename : app/views/mailer/lost_password.text.html.rhtml => app/views/mailer/lost_password.html.erb
rename : app/views/mailer/mail_handler_confirmation.text.html.rhtml => app/views/mailer/mail_handler_confirmation.html.erb
rename : app/views/mailer/mail_handler_missing_information.text.html.rhtml => app/views/mailer/mail_handler_missing_information.html.erb
rename : app/views/mailer/mail_handler_unauthorized_action.text.html.rhtml => app/views/mailer/mail_handler_unauthorized_action.html.erb
rename : app/views/mailer/message_posted.text.html.rhtml => app/views/mailer/message_posted.html.erb
rename : app/views/mailer/news_added.text.html.rhtml => app/views/mailer/news_added.html.erb
rename : app/views/mailer/news_comment_added.text.html.rhtml => app/views/mailer/news_comment_added.html.erb
rename : app/views/mailer/register.text.html.rhtml => app/views/mailer/register.html.erb
rename : app/views/mailer/reminder.text.html.rhtml => app/views/mailer/reminder.html.erb
rename : app/views/mailer/test.text.html.rhtml => app/views/mailer/test.html.erb
rename : app/views/mailer/wiki_content_added.text.html.rhtml => app/views/mailer/wiki_content_added.html.erb
rename : app/views/mailer/wiki_content_updated.text.html.rhtml => app/views/mailer/wiki_content_updated.html.erb
extra : source : 56aebe43f722055e058f670bcac9689fc8ffc6dc
---
 app/models/mailer.rb                               |    2 +-
 ....text.html.rhtml => account_activated.html.erb} |    0
 ...l.rhtml => account_activation_request.html.erb} |    0
 ...ext.html.rhtml => account_information.html.erb} |    0
 ....text.html.rhtml => attachments_added.html.erb} |    0
 ...ded.text.html.rhtml => document_added.html.erb} |    0
 ...ssue_add.text.html.rhtml => issue_add.html.erb} |    0
 ...ue_edit.text.html.rhtml => issue_edit.html.erb} |    0
 ...word.text.html.rhtml => lost_password.html.erb} |    0
 ...ml.rhtml => mail_handler_confirmation.html.erb} |    0
 ...l => mail_handler_missing_information.html.erb} |    0
 ...l => mail_handler_unauthorized_action.html.erb} |    0
 ...ted.text.html.rhtml => message_posted.html.erb} |    0
 ...s_added.text.html.rhtml => news_added.html.erb} |    0
 ...text.html.rhtml => news_comment_added.html.erb} |    0
 ...{register.text.html.rhtml => register.html.erb} |    0
 ...{reminder.text.html.rhtml => reminder.html.erb} |    0
 .../mailer/{test.text.html.rhtml => test.html.erb} |    0
 ...text.html.rhtml => wiki_content_added.html.erb} |    0
 ...xt.html.rhtml => wiki_content_updated.html.erb} |    0
 20 files changed, 1 insertions(+), 1 deletions(-)
 rename app/views/mailer/{account_activated.text.html.rhtml => account_activated.html.erb} (100%)
 rename app/views/mailer/{account_activation_request.text.html.rhtml => account_activation_request.html.erb} (100%)
 rename app/views/mailer/{account_information.text.html.rhtml => account_information.html.erb} (100%)
 rename app/views/mailer/{attachments_added.text.html.rhtml => attachments_added.html.erb} (100%)
 rename app/views/mailer/{document_added.text.html.rhtml => document_added.html.erb} (100%)
 rename app/views/mailer/{issue_add.text.html.rhtml => issue_add.html.erb} (100%)
 rename app/views/mailer/{issue_edit.text.html.rhtml => issue_edit.html.erb} (100%)
 rename app/views/mailer/{lost_password.text.html.rhtml => lost_password.html.erb} (100%)
 rename app/views/mailer/{mail_handler_confirmation.text.html.rhtml => mail_handler_confirmation.html.erb} (100%)
 rename app/views/mailer/{mail_handler_missing_information.text.html.rhtml => mail_handler_missing_information.html.erb} (100%)
 rename app/views/mailer/{mail_handler_unauthorized_action.text.html.rhtml => mail_handler_unauthorized_action.html.erb} (100%)
 rename app/views/mailer/{message_posted.text.html.rhtml => message_posted.html.erb} (100%)
 rename app/views/mailer/{news_added.text.html.rhtml => news_added.html.erb} (100%)
 rename app/views/mailer/{news_comment_added.text.html.rhtml => news_comment_added.html.erb} (100%)
 rename app/views/mailer/{register.text.html.rhtml => register.html.erb} (100%)
 rename app/views/mailer/{reminder.text.html.rhtml => reminder.html.erb} (100%)
 rename app/views/mailer/{test.text.html.rhtml => test.html.erb} (100%)
 rename app/views/mailer/{wiki_content_added.text.html.rhtml => wiki_content_added.html.erb} (100%)
 rename app/views/mailer/{wiki_content_updated.text.html.rhtml => wiki_content_updated.html.erb} (100%)

diff --git a/app/models/mailer.rb b/app/models/mailer.rb
index 0b1c6cd..c4bae36 100644
--- a/app/models/mailer.rb
+++ b/app/models/mailer.rb
@@ -455,7 +455,7 @@ class Mailer < ActionMailer::Base
            :body => render(:file => "#{method_name}.text.erb",
                            :body => body, :layout => 'mailer.text.erb')
       part :content_type => "text/html",
-           :body => render_message("#{method_name}.text.html.rhtml", body)
+           :body => render_message("#{method_name}.html.erb", body)
     end
   end
 
diff --git a/app/views/mailer/account_activated.text.html.rhtml b/app/views/mailer/account_activated.html.erb
similarity index 100%
rename from app/views/mailer/account_activated.text.html.rhtml
rename to app/views/mailer/account_activated.html.erb
diff --git a/app/views/mailer/account_activation_request.text.html.rhtml b/app/views/mailer/account_activation_request.html.erb
similarity index 100%
rename from app/views/mailer/account_activation_request.text.html.rhtml
rename to app/views/mailer/account_activation_request.html.erb
diff --git a/app/views/mailer/account_information.text.html.rhtml b/app/views/mailer/account_information.html.erb
similarity index 100%
rename from app/views/mailer/account_information.text.html.rhtml
rename to app/views/mailer/account_information.html.erb
diff --git a/app/views/mailer/attachments_added.text.html.rhtml b/app/views/mailer/attachments_added.html.erb
similarity index 100%
rename from app/views/mailer/attachments_added.text.html.rhtml
rename to app/views/mailer/attachments_added.html.erb
diff --git a/app/views/mailer/document_added.text.html.rhtml b/app/views/mailer/document_added.html.erb
similarity index 100%
rename from app/views/mailer/document_added.text.html.rhtml
rename to app/views/mailer/document_added.html.erb
diff --git a/app/views/mailer/issue_add.text.html.rhtml b/app/views/mailer/issue_add.html.erb
similarity index 100%
rename from app/views/mailer/issue_add.text.html.rhtml
rename to app/views/mailer/issue_add.html.erb
diff --git a/app/views/mailer/issue_edit.text.html.rhtml b/app/views/mailer/issue_edit.html.erb
similarity index 100%
rename from app/views/mailer/issue_edit.text.html.rhtml
rename to app/views/mailer/issue_edit.html.erb
diff --git a/app/views/mailer/lost_password.text.html.rhtml b/app/views/mailer/lost_password.html.erb
similarity index 100%
rename from app/views/mailer/lost_password.text.html.rhtml
rename to app/views/mailer/lost_password.html.erb
diff --git a/app/views/mailer/mail_handler_confirmation.text.html.rhtml b/app/views/mailer/mail_handler_confirmation.html.erb
similarity index 100%
rename from app/views/mailer/mail_handler_confirmation.text.html.rhtml
rename to app/views/mailer/mail_handler_confirmation.html.erb
diff --git a/app/views/mailer/mail_handler_missing_information.text.html.rhtml b/app/views/mailer/mail_handler_missing_information.html.erb
similarity index 100%
rename from app/views/mailer/mail_handler_missing_information.text.html.rhtml
rename to app/views/mailer/mail_handler_missing_information.html.erb
diff --git a/app/views/mailer/mail_handler_unauthorized_action.text.html.rhtml b/app/views/mailer/mail_handler_unauthorized_action.html.erb
similarity index 100%
rename from app/views/mailer/mail_handler_unauthorized_action.text.html.rhtml
rename to app/views/mailer/mail_handler_unauthorized_action.html.erb
diff --git a/app/views/mailer/message_posted.text.html.rhtml b/app/views/mailer/message_posted.html.erb
similarity index 100%
rename from app/views/mailer/message_posted.text.html.rhtml
rename to app/views/mailer/message_posted.html.erb
diff --git a/app/views/mailer/news_added.text.html.rhtml b/app/views/mailer/news_added.html.erb
similarity index 100%
rename from app/views/mailer/news_added.text.html.rhtml
rename to app/views/mailer/news_added.html.erb
diff --git a/app/views/mailer/news_comment_added.text.html.rhtml b/app/views/mailer/news_comment_added.html.erb
similarity index 100%
rename from app/views/mailer/news_comment_added.text.html.rhtml
rename to app/views/mailer/news_comment_added.html.erb
diff --git a/app/views/mailer/register.text.html.rhtml b/app/views/mailer/register.html.erb
similarity index 100%
rename from app/views/mailer/register.text.html.rhtml
rename to app/views/mailer/register.html.erb
diff --git a/app/views/mailer/reminder.text.html.rhtml b/app/views/mailer/reminder.html.erb
similarity index 100%
rename from app/views/mailer/reminder.text.html.rhtml
rename to app/views/mailer/reminder.html.erb
diff --git a/app/views/mailer/test.text.html.rhtml b/app/views/mailer/test.html.erb
similarity index 100%
rename from app/views/mailer/test.text.html.rhtml
rename to app/views/mailer/test.html.erb
diff --git a/app/views/mailer/wiki_content_added.text.html.rhtml b/app/views/mailer/wiki_content_added.html.erb
similarity index 100%
rename from app/views/mailer/wiki_content_added.text.html.rhtml
rename to app/views/mailer/wiki_content_added.html.erb
diff --git a/app/views/mailer/wiki_content_updated.text.html.rhtml b/app/views/mailer/wiki_content_updated.html.erb
similarity index 100%
rename from app/views/mailer/wiki_content_updated.text.html.rhtml
rename to app/views/mailer/wiki_content_updated.html.erb
-- 
1.7.1


From db967c8a40a11296833b40d2b9344867d10bc985 Mon Sep 17 00:00:00 2001
From: tmaruyama <none@none>
Date: Mon, 3 Oct 2011 15:17:07 +0000
Subject: Rails3: mail: rename app/views/mailer/_issue_text_plain.rhtml to app/views/mailer/_issue.text.erb

--HG--
rename : app/views/mailer/_issue_text_plain.rhtml => app/views/mailer/_issue.text.erb
extra : source : 1205bf583d75e0d1a94c9a82a3370636d548e23d
---
 .../{_issue_text_plain.rhtml => _issue.text.erb}   |    0
 app/views/mailer/issue_add.text.erb                |    2 +-
 app/views/mailer/issue_edit.text.erb               |    2 +-
 3 files changed, 2 insertions(+), 2 deletions(-)
 rename app/views/mailer/{_issue_text_plain.rhtml => _issue.text.erb} (100%)

diff --git a/app/views/mailer/_issue_text_plain.rhtml b/app/views/mailer/_issue.text.erb
similarity index 100%
rename from app/views/mailer/_issue_text_plain.rhtml
rename to app/views/mailer/_issue.text.erb
diff --git a/app/views/mailer/issue_add.text.erb b/app/views/mailer/issue_add.text.erb
index 19c1dcf..761cd79 100644
--- a/app/views/mailer/issue_add.text.erb
+++ b/app/views/mailer/issue_add.text.erb
@@ -1,4 +1,4 @@
 <%= l(:text_issue_added, :id => "##{@issue.id}", :author => @issue.author) %>
 
 ----------------------------------------
-<%= render :partial => "issue_text_plain", :locals => { :issue => @issue, :issue_url => @issue_url } %>
+<%= render :partial => "issue.text.erb", :locals => { :issue => @issue, :issue_url => @issue_url } %>
diff --git a/app/views/mailer/issue_edit.text.erb b/app/views/mailer/issue_edit.text.erb
index fc6645d..1bfd6bb 100644
--- a/app/views/mailer/issue_edit.text.erb
+++ b/app/views/mailer/issue_edit.text.erb
@@ -6,4 +6,4 @@
 
 <%= @journal.notes if @journal.notes? %>
 ----------------------------------------
-<%= render :partial => "issue_text_plain", :locals => { :issue => @issue, :issue_url => @issue_url } %>
+<%= render :partial => "issue.text.erb", :locals => { :issue => @issue, :issue_url => @issue_url } %>
-- 
1.7.1


From f7d8d21c1c88422b798487a67c46e3fe3df13aa7 Mon Sep 17 00:00:00 2001
From: tmaruyama <none@none>
Date: Mon, 3 Oct 2011 15:17:58 +0000
Subject: Rails3: mail: rename app/views/mailer/_issue_text_html.rhtml to app/views/mailer/_issue.html.erb

--HG--
rename : app/views/mailer/_issue_text_html.rhtml => app/views/mailer/_issue.html.erb
extra : source : 0346123ddf7afadf94f4038380080011fb8ed28f
---
 .../{_issue_text_html.rhtml => _issue.html.erb}    |    0
 app/views/mailer/issue_add.html.erb                |    2 +-
 app/views/mailer/issue_edit.html.erb               |    2 +-
 3 files changed, 2 insertions(+), 2 deletions(-)
 rename app/views/mailer/{_issue_text_html.rhtml => _issue.html.erb} (100%)

diff --git a/app/views/mailer/_issue_text_html.rhtml b/app/views/mailer/_issue.html.erb
similarity index 100%
rename from app/views/mailer/_issue_text_html.rhtml
rename to app/views/mailer/_issue.html.erb
diff --git a/app/views/mailer/issue_add.html.erb b/app/views/mailer/issue_add.html.erb
index bc62306..2bceb72 100644
--- a/app/views/mailer/issue_add.html.erb
+++ b/app/views/mailer/issue_add.html.erb
@@ -1,3 +1,3 @@
 <%= l(:text_issue_added, :id => "##{@issue.id}", :author => h(@issue.author)) %>
 <hr />
-<%= render :partial => "issue_text_html", :locals => { :issue => @issue, :issue_url => @issue_url } %>
+<%= render :partial => "issue.html.erb", :locals => { :issue => @issue, :issue_url => @issue_url } %>
diff --git a/app/views/mailer/issue_edit.html.erb b/app/views/mailer/issue_edit.html.erb
index 0a8a025..b9887e1 100644
--- a/app/views/mailer/issue_edit.html.erb
+++ b/app/views/mailer/issue_edit.html.erb
@@ -8,4 +8,4 @@
 
 <%= textilizable(@journal, :notes, :only_path => false) %>
 <hr />
-<%= render :partial => "issue_text_html", :locals => { :issue => @issue, :issue_url => @issue_url } %>
+<%= render :partial => "issue.html.erb", :locals => { :issue => @issue, :issue_url => @issue_url } %>
-- 
1.7.1


From bfd2c0cdffca306b2298755ad9e77276f73508a7 Mon Sep 17 00:00:00 2001
From: Toshi MARUYAMA <marutosijp2@yahoo.co.jp>
Date: Sat, 13 Jul 2013 16:38:42 +0900
Subject: Rails3 compatibility: replace 'index.rhtml' in issues_controller_test.rb

--HG--
extra : source : 46664ac0c34a95304aa8d246e5ca7ecfe67545e8
---
 test/functional/issues_controller_test.rb |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/test/functional/issues_controller_test.rb b/test/functional/issues_controller_test.rb
index 3692761..2465d27 100644
--- a/test/functional/issues_controller_test.rb
+++ b/test/functional/issues_controller_test.rb
@@ -53,7 +53,7 @@ class IssuesControllerTest < ActionController::TestCase
 
     get :index
     assert_response :success
-    assert_template 'index.rhtml'
+    assert_template 'index'
     assert_not_nil assigns(:issues)
     assert_nil assigns(:project)
     assert_tag :tag => 'a', :content => /Can&#39;t print recipes/
@@ -69,7 +69,7 @@ class IssuesControllerTest < ActionController::TestCase
     EnabledModule.delete_all("name = 'issue_tracking' AND project_id = 1")
     get :index
     assert_response :success
-    assert_template 'index.rhtml'
+    assert_template 'index'
     assert_not_nil assigns(:issues)
     assert_nil assigns(:project)
     assert_no_tag :tag => 'a', :content => /Can&#39;t print recipes/
@@ -80,7 +80,7 @@ class IssuesControllerTest < ActionController::TestCase
     EnabledModule.delete_all("name = 'issue_tracking' AND project_id = 1")
     get :index
     assert_response :success
-    assert_template 'index.rhtml'
+    assert_template 'index'
     assert_not_nil assigns(:issues)
     assert_nil assigns(:project)
     assert_no_tag :tag => 'a', :content => /Can&#39;t print recipes/
@@ -91,7 +91,7 @@ class IssuesControllerTest < ActionController::TestCase
     Setting.display_subprojects_issues = 0
     get :index, :project_id => 1
     assert_response :success
-    assert_template 'index.rhtml'
+    assert_template 'index'
     assert_not_nil assigns(:issues)
     assert_tag :tag => 'a', :content => /Can&#39;t print recipes/
     assert_no_tag :tag => 'a', :content => /Subproject issue/
@@ -101,7 +101,7 @@ class IssuesControllerTest < ActionController::TestCase
     Setting.display_subprojects_issues = 1
     get :index, :project_id => 1
     assert_response :success
-    assert_template 'index.rhtml'
+    assert_template 'index'
     assert_not_nil assigns(:issues)
     assert_tag :tag => 'a', :content => /Can&#39;t print recipes/
     assert_tag :tag => 'a', :content => /Subproject issue/
@@ -113,7 +113,7 @@ class IssuesControllerTest < ActionController::TestCase
     Setting.display_subprojects_issues = 1
     get :index, :project_id => 1
     assert_response :success
-    assert_template 'index.rhtml'
+    assert_template 'index'
     assert_not_nil assigns(:issues)
     assert_tag :tag => 'a', :content => /Can&#39;t print recipes/
     assert_tag :tag => 'a', :content => /Subproject issue/
@@ -123,7 +123,7 @@ class IssuesControllerTest < ActionController::TestCase
   def test_index_with_project_and_default_filter
     get :index, :project_id => 1, :set_filter => 1
     assert_response :success
-    assert_template 'index.rhtml'
+    assert_template 'index'
     assert_not_nil assigns(:issues)
 
     query = assigns(:query)
@@ -138,7 +138,7 @@ class IssuesControllerTest < ActionController::TestCase
       :op => {'tracker_id' => '='},
       :v => {'tracker_id' => ['1']}
     assert_response :success
-    assert_template 'index.rhtml'
+    assert_template 'index'
     assert_not_nil assigns(:issues)
 
     query = assigns(:query)
@@ -149,7 +149,7 @@ class IssuesControllerTest < ActionController::TestCase
   def test_index_with_project_and_empty_filters
     get :index, :project_id => 1, :set_filter => 1, :fields => ['']
     assert_response :success
-    assert_template 'index.rhtml'
+    assert_template 'index'
     assert_not_nil assigns(:issues)
 
     query = assigns(:query)
@@ -161,7 +161,7 @@ class IssuesControllerTest < ActionController::TestCase
   def test_index_with_query
     get :index, :project_id => 1, :query_id => 5
     assert_response :success
-    assert_template 'index.rhtml'
+    assert_template 'index'
     assert_not_nil assigns(:issues)
     assert_nil assigns(:issue_count_by_group)
   end
@@ -169,7 +169,7 @@ class IssuesControllerTest < ActionController::TestCase
   def test_index_with_query_grouped_by_tracker
     get :index, :project_id => 1, :query_id => 6
     assert_response :success
-    assert_template 'index.rhtml'
+    assert_template 'index'
     assert_not_nil assigns(:issues)
     assert_not_nil assigns(:issue_count_by_group)
   end
@@ -177,7 +177,7 @@ class IssuesControllerTest < ActionController::TestCase
   def test_index_with_query_grouped_by_list_custom_field
     get :index, :project_id => 1, :query_id => 9
     assert_response :success
-    assert_template 'index.rhtml'
+    assert_template 'index'
     assert_not_nil assigns(:issues)
     assert_not_nil assigns(:issue_count_by_group)
   end
-- 
1.7.1


From 2653a9fcc1d5131ccdca6a85b7563c0f1df5fa76 Mon Sep 17 00:00:00 2001
From: Toshi MARUYAMA <marutosijp2@yahoo.co.jp>
Date: Sat, 13 Jul 2013 16:50:39 +0900
Subject: Rails3 compatibility: replace 'show.rhtml' in issues_controller_test.rb

--HG--
extra : source : c99ec5d1c2dc6682db8e15fcf66adb0596258cb4
---
 test/functional/issues_controller_test.rb |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/test/functional/issues_controller_test.rb b/test/functional/issues_controller_test.rb
index 2465d27..64cb306 100644
--- a/test/functional/issues_controller_test.rb
+++ b/test/functional/issues_controller_test.rb
@@ -260,7 +260,7 @@ class IssuesControllerTest < ActionController::TestCase
   def test_show_by_anonymous
     get :show, :id => 1
     assert_response :success
-    assert_template 'show.rhtml'
+    assert_template 'show'
     assert_not_nil assigns(:issue)
     assert_equal Issue.find(1), assigns(:issue)
 
-- 
1.7.1


From 1baea125c5d5970f39da7083dc3bd1b0f4be14bd Mon Sep 17 00:00:00 2001
From: Toshi MARUYAMA <marutosijp2@yahoo.co.jp>
Date: Sat, 13 Jul 2013 16:47:22 +0900
Subject: Rails3 compatibility: replace 'index.rhtml' and 'show.rhtml' in issues_controller.rb

--HG--
extra : source : 605803f3d76ec3d85cf711fe58e58821701c40ef
---
 app/controllers/issues_controller.rb |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/app/controllers/issues_controller.rb b/app/controllers/issues_controller.rb
index da1d206..80d91e5 100644
--- a/app/controllers/issues_controller.rb
+++ b/app/controllers/issues_controller.rb
@@ -75,7 +75,7 @@ class IssuesController < ApplicationController
       @issue_count_by_group = @query.issue_count_by_group
 
       respond_to do |format|
-        format.html { render :template => 'issues/index.rhtml', :layout => !request.xhr? }
+        format.html { render :template => 'issues/index', :layout => !request.xhr? }
         format.api
         format.atom { render_feed(@issues, :title => "#{@project || Setting.app_title}: #{l(:label_issue_plural)}") }
         format.csv  { send_data(issues_to_csv(@issues, @project), :type => 'text/csv; header=present', :filename => 'export.csv') }
@@ -83,7 +83,7 @@ class IssuesController < ApplicationController
       end
     else
       # Send html if the query is not valid
-      render(:template => 'issues/index.rhtml', :layout => !request.xhr?)
+      render(:template => 'issues/index', :layout => !request.xhr?)
     end
   rescue ActiveRecord::RecordNotFound
     render_404
@@ -100,7 +100,7 @@ class IssuesController < ApplicationController
     @priorities = IssuePriority.all
     @time_entry = TimeEntry.new(:issue => @issue, :project => @issue.project)
     respond_to do |format|
-      format.html { render :template => 'issues/show.rhtml' }
+      format.html { render :template => 'issues/show' }
       format.api
       format.atom { render :template => 'journals/index', :layout => false, :content_type => 'application/atom+xml' }
       format.pdf  { send_data(issue_to_pdf(@issue), :type => 'application/pdf', :filename => "#{@project.identifier}-#{@issue.id}.pdf") }
-- 
1.7.1


From 3889f7f1a1eaaeead6aa7f3d34bbfd77f6bac1ea Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Tue, 28 Aug 2012 17:12:06 +0200
Subject: Rename views: _*.rhtml to _*.erb and *.rhtml to *.html.erb

As partials might also be used in js formatted responses, we just
rename them to .erb. Normal templates are renamed to .html.erb.
This follows the new Rails convention to play well with tilt.

for i in `find app/views/**/_*.rhtml`; do \
  git mv $i `echo $i | sed s/\\.rhtml$/.erb/`; \
done

for i in `find app/views/**/*.rhtml`; do \
  git mv $i `echo $i | sed s/\\.rhtml$/.html.erb/`; \
done

--HG--
rename : app/views/account/_login.rhtml => app/views/account/_login.erb
rename : app/views/account/login.rhtml => app/views/account/login.html.erb
rename : app/views/account/lost_password.rhtml => app/views/account/lost_password.html.erb
rename : app/views/account/password_recovery.rhtml => app/views/account/password_recovery.html.erb
rename : app/views/account/register.rhtml => app/views/account/register.html.erb
rename : app/views/admin/_menu.rhtml => app/views/admin/_menu.erb
rename : app/views/admin/_no_data.rhtml => app/views/admin/_no_data.erb
rename : app/views/admin/index.rhtml => app/views/admin/index.html.erb
rename : app/views/admin/info.rhtml => app/views/admin/info.html.erb
rename : app/views/admin/plugins.rhtml => app/views/admin/plugins.html.erb
rename : app/views/admin/projects.rhtml => app/views/admin/projects.html.erb
rename : app/views/attachments/_form.rhtml => app/views/attachments/_form.erb
rename : app/views/attachments/_links.rhtml => app/views/attachments/_links.erb
rename : app/views/attachments/diff.rhtml => app/views/attachments/diff.html.erb
rename : app/views/attachments/file.rhtml => app/views/attachments/file.html.erb
rename : app/views/auth_sources/edit.rhtml => app/views/auth_sources/edit.html.erb
rename : app/views/auth_sources/new.rhtml => app/views/auth_sources/new.html.erb
rename : app/views/boards/_form.rhtml => app/views/boards/_form.erb
rename : app/views/boards/edit.rhtml => app/views/boards/edit.html.erb
rename : app/views/boards/index.rhtml => app/views/boards/index.html.erb
rename : app/views/boards/new.rhtml => app/views/boards/new.html.erb
rename : app/views/boards/show.rhtml => app/views/boards/show.html.erb
rename : app/views/common/_calendar.rhtml => app/views/common/_calendar.erb
rename : app/views/common/_diff.rhtml => app/views/common/_diff.erb
rename : app/views/common/_file.rhtml => app/views/common/_file.erb
rename : app/views/common/_preview.rhtml => app/views/common/_preview.erb
rename : app/views/common/_tabs.rhtml => app/views/common/_tabs.erb
rename : app/views/custom_fields/_form.rhtml => app/views/custom_fields/_form.erb
rename : app/views/custom_fields/_index.rhtml => app/views/custom_fields/_index.erb
rename : app/views/custom_fields/edit.rhtml => app/views/custom_fields/edit.html.erb
rename : app/views/custom_fields/index.rhtml => app/views/custom_fields/index.html.erb
rename : app/views/custom_fields/new.rhtml => app/views/custom_fields/new.html.erb
rename : app/views/documents/_document.rhtml => app/views/documents/_document.erb
rename : app/views/documents/_form.rhtml => app/views/documents/_form.erb
rename : app/views/documents/edit.rhtml => app/views/documents/edit.html.erb
rename : app/views/documents/index.rhtml => app/views/documents/index.html.erb
rename : app/views/documents/new.rhtml => app/views/documents/new.html.erb
rename : app/views/documents/show.rhtml => app/views/documents/show.html.erb
rename : app/views/enumerations/_form.rhtml => app/views/enumerations/_form.erb
rename : app/views/enumerations/destroy.rhtml => app/views/enumerations/destroy.html.erb
rename : app/views/enumerations/edit.rhtml => app/views/enumerations/edit.html.erb
rename : app/views/enumerations/list.rhtml => app/views/enumerations/list.html.erb
rename : app/views/enumerations/new.rhtml => app/views/enumerations/new.html.erb
rename : app/views/issue_categories/_form.rhtml => app/views/issue_categories/_form.erb
rename : app/views/issue_categories/destroy.rhtml => app/views/issue_categories/destroy.html.erb
rename : app/views/issue_categories/edit.rhtml => app/views/issue_categories/edit.html.erb
rename : app/views/issue_moves/new.rhtml => app/views/issue_moves/new.html.erb
rename : app/views/issue_relations/_form.rhtml => app/views/issue_relations/_form.erb
rename : app/views/issue_statuses/_form.rhtml => app/views/issue_statuses/_form.erb
rename : app/views/issue_statuses/edit.rhtml => app/views/issue_statuses/edit.html.erb
rename : app/views/issue_statuses/new.rhtml => app/views/issue_statuses/new.html.erb
rename : app/views/issues/_action_menu.rhtml => app/views/issues/_action_menu.erb
rename : app/views/issues/_attributes.rhtml => app/views/issues/_attributes.erb
rename : app/views/issues/_changesets.rhtml => app/views/issues/_changesets.erb
rename : app/views/issues/_edit.rhtml => app/views/issues/_edit.erb
rename : app/views/issues/_form.rhtml => app/views/issues/_form.erb
rename : app/views/issues/_form_custom_fields.rhtml => app/views/issues/_form_custom_fields.erb
rename : app/views/issues/_form_update.rhtml => app/views/issues/_form_update.erb
rename : app/views/issues/_history.rhtml => app/views/issues/_history.erb
rename : app/views/issues/_list.rhtml => app/views/issues/_list.erb
rename : app/views/issues/_list_simple.rhtml => app/views/issues/_list_simple.erb
rename : app/views/issues/_relations.rhtml => app/views/issues/_relations.erb
rename : app/views/issues/_sidebar.rhtml => app/views/issues/_sidebar.erb
rename : app/views/issues/bulk_edit.rhtml => app/views/issues/bulk_edit.html.erb
rename : app/views/issues/destroy.rhtml => app/views/issues/destroy.html.erb
rename : app/views/issues/edit.rhtml => app/views/issues/edit.html.erb
rename : app/views/issues/index.rhtml => app/views/issues/index.html.erb
rename : app/views/issues/new.rhtml => app/views/issues/new.html.erb
rename : app/views/issues/show.rhtml => app/views/issues/show.html.erb
rename : app/views/journals/_notes_form.rhtml => app/views/journals/_notes_form.erb
rename : app/views/layouts/admin.rhtml => app/views/layouts/admin.html.erb
rename : app/views/layouts/base.rhtml => app/views/layouts/base.html.erb
rename : app/views/ldap_auth_sources/_form.rhtml => app/views/ldap_auth_sources/_form.erb
rename : app/views/members/autocomplete_for_member.rhtml => app/views/members/autocomplete_for_member.html.erb
rename : app/views/messages/_form.rhtml => app/views/messages/_form.erb
rename : app/views/messages/edit.rhtml => app/views/messages/edit.html.erb
rename : app/views/messages/new.rhtml => app/views/messages/new.html.erb
rename : app/views/messages/show.rhtml => app/views/messages/show.html.erb
rename : app/views/my/_block.rhtml => app/views/my/_block.erb
rename : app/views/my/_sidebar.rhtml => app/views/my/_sidebar.erb
rename : app/views/my/account.rhtml => app/views/my/account.html.erb
rename : app/views/my/page.rhtml => app/views/my/page.html.erb
rename : app/views/my/page_layout.rhtml => app/views/my/page_layout.html.erb
rename : app/views/my/password.rhtml => app/views/my/password.html.erb
rename : app/views/news/_form.rhtml => app/views/news/_form.erb
rename : app/views/news/_news.rhtml => app/views/news/_news.erb
rename : app/views/news/edit.rhtml => app/views/news/edit.html.erb
rename : app/views/news/index.rhtml => app/views/news/index.html.erb
rename : app/views/news/new.rhtml => app/views/news/new.html.erb
rename : app/views/news/show.rhtml => app/views/news/show.html.erb
rename : app/views/projects/_edit.rhtml => app/views/projects/_edit.erb
rename : app/views/projects/_form.rhtml => app/views/projects/_form.erb
rename : app/views/projects/copy.rhtml => app/views/projects/copy.html.erb
rename : app/views/projects/destroy.rhtml => app/views/projects/destroy.html.erb
rename : app/views/projects/index.rhtml => app/views/projects/index.html.erb
rename : app/views/projects/list_members.rhtml => app/views/projects/list_members.html.erb
rename : app/views/projects/settings.rhtml => app/views/projects/settings.html.erb
rename : app/views/projects/show.rhtml => app/views/projects/show.html.erb
rename : app/views/queries/_columns.rhtml => app/views/queries/_columns.erb
rename : app/views/queries/_filters.rhtml => app/views/queries/_filters.erb
rename : app/views/queries/_form.rhtml => app/views/queries/_form.erb
rename : app/views/queries/edit.rhtml => app/views/queries/edit.html.erb
rename : app/views/queries/index.rhtml => app/views/queries/index.html.erb
rename : app/views/queries/new.rhtml => app/views/queries/new.html.erb
rename : app/views/reports/_details.rhtml => app/views/reports/_details.erb
rename : app/views/reports/_simple.rhtml => app/views/reports/_simple.erb
rename : app/views/reports/issue_report.rhtml => app/views/reports/issue_report.html.erb
rename : app/views/reports/issue_report_details.rhtml => app/views/reports/issue_report_details.html.erb
rename : app/views/repositories/_breadcrumbs.rhtml => app/views/repositories/_breadcrumbs.erb
rename : app/views/repositories/_dir_list.rhtml => app/views/repositories/_dir_list.erb
rename : app/views/repositories/_dir_list_content.rhtml => app/views/repositories/_dir_list_content.erb
rename : app/views/repositories/_link_to_functions.rhtml => app/views/repositories/_link_to_functions.erb
rename : app/views/repositories/_navigation.rhtml => app/views/repositories/_navigation.erb
rename : app/views/repositories/_revisions.rhtml => app/views/repositories/_revisions.erb
rename : app/views/repositories/annotate.rhtml => app/views/repositories/annotate.html.erb
rename : app/views/repositories/changes.rhtml => app/views/repositories/changes.html.erb
rename : app/views/repositories/committers.rhtml => app/views/repositories/committers.html.erb
rename : app/views/repositories/diff.rhtml => app/views/repositories/diff.html.erb
rename : app/views/repositories/entry.rhtml => app/views/repositories/entry.html.erb
rename : app/views/repositories/revision.rhtml => app/views/repositories/revision.html.erb
rename : app/views/repositories/revisions.rhtml => app/views/repositories/revisions.html.erb
rename : app/views/repositories/show.rhtml => app/views/repositories/show.html.erb
rename : app/views/repositories/stats.rhtml => app/views/repositories/stats.html.erb
rename : app/views/roles/_form.rhtml => app/views/roles/_form.erb
rename : app/views/roles/edit.rhtml => app/views/roles/edit.html.erb
rename : app/views/roles/new.rhtml => app/views/roles/new.html.erb
rename : app/views/roles/report.rhtml => app/views/roles/report.html.erb
rename : app/views/search/index.rhtml => app/views/search/index.html.erb
rename : app/views/settings/_authentication.rhtml => app/views/settings/_authentication.erb
rename : app/views/settings/_display.rhtml => app/views/settings/_display.erb
rename : app/views/settings/_general.rhtml => app/views/settings/_general.erb
rename : app/views/settings/_issues.rhtml => app/views/settings/_issues.erb
rename : app/views/settings/_mail_handler.rhtml => app/views/settings/_mail_handler.erb
rename : app/views/settings/_notifications.rhtml => app/views/settings/_notifications.erb
rename : app/views/settings/_projects.rhtml => app/views/settings/_projects.erb
rename : app/views/settings/_repositories.rhtml => app/views/settings/_repositories.erb
rename : app/views/settings/edit.rhtml => app/views/settings/edit.html.erb
rename : app/views/settings/plugin.rhtml => app/views/settings/plugin.html.erb
rename : app/views/time_entry_reports/_report_criteria.rhtml => app/views/time_entry_reports/_report_criteria.erb
rename : app/views/time_entry_reports/report.rhtml => app/views/time_entry_reports/report.html.erb
rename : app/views/timelog/_date_range.rhtml => app/views/timelog/_date_range.erb
rename : app/views/timelog/_list.rhtml => app/views/timelog/_list.erb
rename : app/views/timelog/edit.rhtml => app/views/timelog/edit.html.erb
rename : app/views/trackers/_form.rhtml => app/views/trackers/_form.erb
rename : app/views/trackers/edit.rhtml => app/views/trackers/edit.html.erb
rename : app/views/trackers/new.rhtml => app/views/trackers/new.html.erb
rename : app/views/users/_form.rhtml => app/views/users/_form.erb
rename : app/views/users/_general.rhtml => app/views/users/_general.erb
rename : app/views/users/_groups.rhtml => app/views/users/_groups.erb
rename : app/views/users/_memberships.rhtml => app/views/users/_memberships.erb
rename : app/views/users/edit.rhtml => app/views/users/edit.html.erb
rename : app/views/users/index.rhtml => app/views/users/index.html.erb
rename : app/views/users/show.rhtml => app/views/users/show.html.erb
rename : app/views/versions/_form.rhtml => app/views/versions/_form.erb
rename : app/views/versions/_issue_counts.rhtml => app/views/versions/_issue_counts.erb
rename : app/views/versions/_overview.rhtml => app/views/versions/_overview.erb
rename : app/views/versions/edit.rhtml => app/views/versions/edit.html.erb
rename : app/views/versions/show.rhtml => app/views/versions/show.html.erb
rename : app/views/watchers/_watchers.rhtml => app/views/watchers/_watchers.erb
rename : app/views/welcome/index.rhtml => app/views/welcome/index.html.erb
rename : app/views/welcome/robots.rhtml => app/views/welcome/robots.html.erb
rename : app/views/wiki/_content.rhtml => app/views/wiki/_content.erb
rename : app/views/wiki/_sidebar.rhtml => app/views/wiki/_sidebar.erb
rename : app/views/wiki/annotate.rhtml => app/views/wiki/annotate.html.erb
rename : app/views/wiki/destroy.rhtml => app/views/wiki/destroy.html.erb
rename : app/views/wiki/diff.rhtml => app/views/wiki/diff.html.erb
rename : app/views/wiki/edit.rhtml => app/views/wiki/edit.html.erb
rename : app/views/wiki/export.rhtml => app/views/wiki/export.html.erb
rename : app/views/wiki/export_multiple.rhtml => app/views/wiki/export_multiple.html.erb
rename : app/views/wiki/history.rhtml => app/views/wiki/history.html.erb
rename : app/views/wiki/rename.rhtml => app/views/wiki/rename.html.erb
rename : app/views/wiki/show.rhtml => app/views/wiki/show.html.erb
rename : app/views/wikis/destroy.rhtml => app/views/wikis/destroy.html.erb
rename : app/views/workflows/_action_menu.rhtml => app/views/workflows/_action_menu.erb
rename : app/views/workflows/copy.rhtml => app/views/workflows/copy.html.erb
rename : app/views/workflows/edit.rhtml => app/views/workflows/edit.html.erb
rename : app/views/workflows/index.rhtml => app/views/workflows/index.html.erb
extra : source : 73d2d7c652c0e7d34d46edb199fdd3843853e77a
---
 app/views/account/{_login.rhtml => _login.erb}     |    0
 app/views/account/{login.rhtml => login.html.erb}  |    0
 ...{lost_password.rhtml => lost_password.html.erb} |    0
 ...d_recovery.rhtml => password_recovery.html.erb} |    0
 .../account/{register.rhtml => register.html.erb}  |    0
 app/views/admin/{_menu.rhtml => _menu.erb}         |    0
 app/views/admin/{_no_data.rhtml => _no_data.erb}   |    0
 app/views/admin/{index.rhtml => index.html.erb}    |    0
 app/views/admin/{info.rhtml => info.html.erb}      |    0
 .../admin/{plugins.rhtml => plugins.html.erb}      |    0
 .../admin/{projects.rhtml => projects.html.erb}    |    0
 app/views/attachments/{_form.rhtml => _form.erb}   |    0
 app/views/attachments/{_links.rhtml => _links.erb} |    0
 .../attachments/{diff.rhtml => diff.html.erb}      |    0
 .../attachments/{file.rhtml => file.html.erb}      |    0
 .../auth_sources/{edit.rhtml => edit.html.erb}     |    0
 app/views/auth_sources/{new.rhtml => new.html.erb} |    0
 app/views/boards/{_form.rhtml => _form.erb}        |    0
 app/views/boards/{edit.rhtml => edit.html.erb}     |    0
 app/views/boards/{index.rhtml => index.html.erb}   |    0
 app/views/boards/{new.rhtml => new.html.erb}       |    0
 app/views/boards/{show.rhtml => show.html.erb}     |    0
 .../common/{_calendar.rhtml => _calendar.erb}      |    0
 app/views/common/{_diff.rhtml => _diff.erb}        |    0
 app/views/common/{_file.rhtml => _file.erb}        |    0
 app/views/common/{_preview.rhtml => _preview.erb}  |    0
 app/views/common/{_tabs.rhtml => _tabs.erb}        |    0
 app/views/custom_fields/{_form.rhtml => _form.erb} |    0
 .../custom_fields/{_index.rhtml => _index.erb}     |    0
 .../custom_fields/{edit.rhtml => edit.html.erb}    |    0
 .../custom_fields/{index.rhtml => index.html.erb}  |    0
 .../custom_fields/{new.rhtml => new.html.erb}      |    0
 .../documents/{_document.rhtml => _document.erb}   |    0
 app/views/documents/{_form.rhtml => _form.erb}     |    0
 app/views/documents/{edit.rhtml => edit.html.erb}  |    0
 .../documents/{index.rhtml => index.html.erb}      |    0
 app/views/documents/{new.rhtml => new.html.erb}    |    0
 app/views/documents/{show.rhtml => show.html.erb}  |    0
 app/views/enumerations/{_form.rhtml => _form.erb}  |    0
 .../{destroy.rhtml => destroy.html.erb}            |    0
 .../enumerations/{edit.rhtml => edit.html.erb}     |    0
 .../enumerations/{list.rhtml => list.html.erb}     |    0
 app/views/enumerations/{new.rhtml => new.html.erb} |    0
 .../issue_categories/{_form.rhtml => _form.erb}    |    0
 .../{destroy.rhtml => destroy.html.erb}            |    0
 .../issue_categories/{edit.rhtml => edit.html.erb} |    0
 app/views/issue_moves/{new.rhtml => new.html.erb}  |    0
 .../issue_relations/{_form.rhtml => _form.erb}     |    0
 .../issue_statuses/{_form.rhtml => _form.erb}      |    0
 .../issue_statuses/{edit.rhtml => edit.html.erb}   |    0
 .../issue_statuses/{new.rhtml => new.html.erb}     |    0
 .../{_action_menu.rhtml => _action_menu.erb}       |    0
 .../issues/{_attributes.rhtml => _attributes.erb}  |    0
 .../issues/{_changesets.rhtml => _changesets.erb}  |    0
 app/views/issues/{_edit.rhtml => _edit.erb}        |    0
 app/views/issues/{_form.rhtml => _form.erb}        |    0
 ...custom_fields.rhtml => _form_custom_fields.erb} |    0
 .../{_form_update.rhtml => _form_update.erb}       |    0
 app/views/issues/{_history.rhtml => _history.erb}  |    0
 app/views/issues/{_list.rhtml => _list.erb}        |    0
 .../{_list_simple.rhtml => _list_simple.erb}       |    0
 .../issues/{_relations.rhtml => _relations.erb}    |    0
 app/views/issues/{_sidebar.rhtml => _sidebar.erb}  |    0
 .../issues/{bulk_edit.rhtml => bulk_edit.html.erb} |    0
 .../issues/{destroy.rhtml => destroy.html.erb}     |    0
 app/views/issues/{edit.rhtml => edit.html.erb}     |    0
 app/views/issues/{index.rhtml => index.html.erb}   |    0
 app/views/issues/{new.rhtml => new.html.erb}       |    0
 app/views/issues/{show.rhtml => show.html.erb}     |    0
 .../{_notes_form.rhtml => _notes_form.erb}         |    0
 app/views/layouts/{admin.rhtml => admin.html.erb}  |    0
 app/views/layouts/{base.rhtml => base.html.erb}    |    0
 .../ldap_auth_sources/{_form.rhtml => _form.erb}   |    0
 ...mber.rhtml => autocomplete_for_member.html.erb} |    0
 app/views/messages/{_form.rhtml => _form.erb}      |    0
 app/views/messages/{edit.rhtml => edit.html.erb}   |    0
 app/views/messages/{new.rhtml => new.html.erb}     |    0
 app/views/messages/{show.rhtml => show.html.erb}   |    0
 app/views/my/{_block.rhtml => _block.erb}          |    0
 app/views/my/{_sidebar.rhtml => _sidebar.erb}      |    0
 app/views/my/{account.rhtml => account.html.erb}   |    0
 app/views/my/{page.rhtml => page.html.erb}         |    0
 .../my/{page_layout.rhtml => page_layout.html.erb} |    0
 app/views/my/{password.rhtml => password.html.erb} |    0
 app/views/news/{_form.rhtml => _form.erb}          |    0
 app/views/news/{_news.rhtml => _news.erb}          |    0
 app/views/news/{edit.rhtml => edit.html.erb}       |    0
 app/views/news/{index.rhtml => index.html.erb}     |    0
 app/views/news/{new.rhtml => new.html.erb}         |    0
 app/views/news/{show.rhtml => show.html.erb}       |    0
 app/views/projects/{_edit.rhtml => _edit.erb}      |    0
 app/views/projects/{_form.rhtml => _form.erb}      |    0
 app/views/projects/{copy.rhtml => copy.html.erb}   |    0
 .../projects/{destroy.rhtml => destroy.html.erb}   |    0
 app/views/projects/{index.rhtml => index.html.erb} |    0
 .../{list_members.rhtml => list_members.html.erb}  |    0
 .../projects/{settings.rhtml => settings.html.erb} |    0
 app/views/projects/{show.rhtml => show.html.erb}   |    0
 app/views/queries/{_columns.rhtml => _columns.erb} |    0
 app/views/queries/{_filters.rhtml => _filters.erb} |    0
 app/views/queries/{_form.rhtml => _form.erb}       |    0
 app/views/queries/{edit.rhtml => edit.html.erb}    |    0
 app/views/queries/{index.rhtml => index.html.erb}  |    0
 app/views/queries/{new.rhtml => new.html.erb}      |    0
 app/views/reports/{_details.rhtml => _details.erb} |    0
 app/views/reports/{_simple.rhtml => _simple.erb}   |    0
 .../{issue_report.rhtml => issue_report.html.erb}  |    0
 ...details.rhtml => issue_report_details.html.erb} |    0
 .../{_breadcrumbs.rhtml => _breadcrumbs.erb}       |    0
 .../{_dir_list.rhtml => _dir_list.erb}             |    0
 ...ir_list_content.rhtml => _dir_list_content.erb} |    0
 ...k_to_functions.rhtml => _link_to_functions.erb} |    0
 .../{_navigation.rhtml => _navigation.erb}         |    0
 .../{_revisions.rhtml => _revisions.erb}           |    0
 .../{annotate.rhtml => annotate.html.erb}          |    0
 .../{changes.rhtml => changes.html.erb}            |    0
 .../{committers.rhtml => committers.html.erb}      |    0
 .../repositories/{diff.rhtml => diff.html.erb}     |    0
 .../repositories/{entry.rhtml => entry.html.erb}   |    0
 .../{revision.rhtml => revision.html.erb}          |    0
 .../{revisions.rhtml => revisions.html.erb}        |    0
 .../repositories/{show.rhtml => show.html.erb}     |    0
 .../repositories/{stats.rhtml => stats.html.erb}   |    0
 app/views/roles/{_form.rhtml => _form.erb}         |    0
 app/views/roles/{edit.rhtml => edit.html.erb}      |    0
 app/views/roles/{new.rhtml => new.html.erb}        |    0
 app/views/roles/{report.rhtml => report.html.erb}  |    0
 app/views/search/{index.rhtml => index.html.erb}   |    0
 .../{_authentication.rhtml => _authentication.erb} |    0
 .../settings/{_display.rhtml => _display.erb}      |    0
 .../settings/{_general.rhtml => _general.erb}      |    0
 app/views/settings/{_issues.rhtml => _issues.erb}  |    0
 .../{_mail_handler.rhtml => _mail_handler.erb}     |    0
 .../{_notifications.rhtml => _notifications.erb}   |    0
 .../settings/{_projects.rhtml => _projects.erb}    |    0
 .../{_repositories.rhtml => _repositories.erb}     |    0
 app/views/settings/{edit.rhtml => edit.html.erb}   |    0
 .../settings/{plugin.rhtml => plugin.html.erb}     |    0
 ..._report_criteria.rhtml => _report_criteria.erb} |    0
 .../{report.rhtml => report.html.erb}              |    0
 .../timelog/{_date_range.rhtml => _date_range.erb} |    0
 app/views/timelog/{_list.rhtml => _list.erb}       |    0
 app/views/timelog/{edit.rhtml => edit.html.erb}    |    0
 app/views/trackers/{_form.rhtml => _form.erb}      |    0
 app/views/trackers/{edit.rhtml => edit.html.erb}   |    0
 app/views/trackers/{new.rhtml => new.html.erb}     |    0
 app/views/users/{_form.rhtml => _form.erb}         |    0
 app/views/users/{_general.rhtml => _general.erb}   |    0
 app/views/users/{_groups.rhtml => _groups.erb}     |    0
 .../users/{_memberships.rhtml => _memberships.erb} |    0
 app/views/users/{edit.rhtml => edit.html.erb}      |    0
 app/views/users/{index.rhtml => index.html.erb}    |    0
 app/views/users/{show.rhtml => show.html.erb}      |    0
 app/views/versions/{_form.rhtml => _form.erb}      |    0
 .../{_issue_counts.rhtml => _issue_counts.erb}     |    0
 .../versions/{_overview.rhtml => _overview.erb}    |    0
 app/views/versions/{edit.rhtml => edit.html.erb}   |    0
 app/views/versions/{show.rhtml => show.html.erb}   |    0
 .../watchers/{_watchers.rhtml => _watchers.erb}    |    0
 app/views/welcome/{index.rhtml => index.html.erb}  |    0
 .../welcome/{robots.rhtml => robots.html.erb}      |    0
 app/views/wiki/{_content.rhtml => _content.erb}    |    0
 app/views/wiki/{_sidebar.rhtml => _sidebar.erb}    |    0
 .../wiki/{annotate.rhtml => annotate.html.erb}     |    0
 app/views/wiki/{destroy.rhtml => destroy.html.erb} |    0
 app/views/wiki/{diff.rhtml => diff.html.erb}       |    0
 app/views/wiki/{edit.rhtml => edit.html.erb}       |    0
 app/views/wiki/{export.rhtml => export.html.erb}   |    0
 ...ort_multiple.rhtml => export_multiple.html.erb} |    0
 app/views/wiki/{history.rhtml => history.html.erb} |    0
 app/views/wiki/{rename.rhtml => rename.html.erb}   |    0
 app/views/wiki/{show.rhtml => show.html.erb}       |    0
 .../wikis/{destroy.rhtml => destroy.html.erb}      |    0
 .../{_action_menu.rhtml => _action_menu.erb}       |    0
 app/views/workflows/{copy.rhtml => copy.html.erb}  |    0
 app/views/workflows/{edit.rhtml => edit.html.erb}  |    0
 .../workflows/{index.rhtml => index.html.erb}      |    0
 177 files changed, 0 insertions(+), 0 deletions(-)
 rename app/views/account/{_login.rhtml => _login.erb} (100%)
 rename app/views/account/{login.rhtml => login.html.erb} (100%)
 rename app/views/account/{lost_password.rhtml => lost_password.html.erb} (100%)
 rename app/views/account/{password_recovery.rhtml => password_recovery.html.erb} (100%)
 rename app/views/account/{register.rhtml => register.html.erb} (100%)
 rename app/views/admin/{_menu.rhtml => _menu.erb} (100%)
 rename app/views/admin/{_no_data.rhtml => _no_data.erb} (100%)
 rename app/views/admin/{index.rhtml => index.html.erb} (100%)
 rename app/views/admin/{info.rhtml => info.html.erb} (100%)
 rename app/views/admin/{plugins.rhtml => plugins.html.erb} (100%)
 rename app/views/admin/{projects.rhtml => projects.html.erb} (100%)
 rename app/views/attachments/{_form.rhtml => _form.erb} (100%)
 rename app/views/attachments/{_links.rhtml => _links.erb} (100%)
 rename app/views/attachments/{diff.rhtml => diff.html.erb} (100%)
 rename app/views/attachments/{file.rhtml => file.html.erb} (100%)
 rename app/views/auth_sources/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/auth_sources/{new.rhtml => new.html.erb} (100%)
 rename app/views/boards/{_form.rhtml => _form.erb} (100%)
 rename app/views/boards/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/boards/{index.rhtml => index.html.erb} (100%)
 rename app/views/boards/{new.rhtml => new.html.erb} (100%)
 rename app/views/boards/{show.rhtml => show.html.erb} (100%)
 rename app/views/common/{_calendar.rhtml => _calendar.erb} (100%)
 rename app/views/common/{_diff.rhtml => _diff.erb} (100%)
 rename app/views/common/{_file.rhtml => _file.erb} (100%)
 rename app/views/common/{_preview.rhtml => _preview.erb} (100%)
 rename app/views/common/{_tabs.rhtml => _tabs.erb} (100%)
 rename app/views/custom_fields/{_form.rhtml => _form.erb} (100%)
 rename app/views/custom_fields/{_index.rhtml => _index.erb} (100%)
 rename app/views/custom_fields/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/custom_fields/{index.rhtml => index.html.erb} (100%)
 rename app/views/custom_fields/{new.rhtml => new.html.erb} (100%)
 rename app/views/documents/{_document.rhtml => _document.erb} (100%)
 rename app/views/documents/{_form.rhtml => _form.erb} (100%)
 rename app/views/documents/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/documents/{index.rhtml => index.html.erb} (100%)
 rename app/views/documents/{new.rhtml => new.html.erb} (100%)
 rename app/views/documents/{show.rhtml => show.html.erb} (100%)
 rename app/views/enumerations/{_form.rhtml => _form.erb} (100%)
 rename app/views/enumerations/{destroy.rhtml => destroy.html.erb} (100%)
 rename app/views/enumerations/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/enumerations/{list.rhtml => list.html.erb} (100%)
 rename app/views/enumerations/{new.rhtml => new.html.erb} (100%)
 rename app/views/issue_categories/{_form.rhtml => _form.erb} (100%)
 rename app/views/issue_categories/{destroy.rhtml => destroy.html.erb} (100%)
 rename app/views/issue_categories/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/issue_moves/{new.rhtml => new.html.erb} (100%)
 rename app/views/issue_relations/{_form.rhtml => _form.erb} (100%)
 rename app/views/issue_statuses/{_form.rhtml => _form.erb} (100%)
 rename app/views/issue_statuses/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/issue_statuses/{new.rhtml => new.html.erb} (100%)
 rename app/views/issues/{_action_menu.rhtml => _action_menu.erb} (100%)
 rename app/views/issues/{_attributes.rhtml => _attributes.erb} (100%)
 rename app/views/issues/{_changesets.rhtml => _changesets.erb} (100%)
 rename app/views/issues/{_edit.rhtml => _edit.erb} (100%)
 rename app/views/issues/{_form.rhtml => _form.erb} (100%)
 rename app/views/issues/{_form_custom_fields.rhtml => _form_custom_fields.erb} (100%)
 rename app/views/issues/{_form_update.rhtml => _form_update.erb} (100%)
 rename app/views/issues/{_history.rhtml => _history.erb} (100%)
 rename app/views/issues/{_list.rhtml => _list.erb} (100%)
 rename app/views/issues/{_list_simple.rhtml => _list_simple.erb} (100%)
 rename app/views/issues/{_relations.rhtml => _relations.erb} (100%)
 rename app/views/issues/{_sidebar.rhtml => _sidebar.erb} (100%)
 rename app/views/issues/{bulk_edit.rhtml => bulk_edit.html.erb} (100%)
 rename app/views/issues/{destroy.rhtml => destroy.html.erb} (100%)
 rename app/views/issues/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/issues/{index.rhtml => index.html.erb} (100%)
 rename app/views/issues/{new.rhtml => new.html.erb} (100%)
 rename app/views/issues/{show.rhtml => show.html.erb} (100%)
 rename app/views/journals/{_notes_form.rhtml => _notes_form.erb} (100%)
 rename app/views/layouts/{admin.rhtml => admin.html.erb} (100%)
 rename app/views/layouts/{base.rhtml => base.html.erb} (100%)
 rename app/views/ldap_auth_sources/{_form.rhtml => _form.erb} (100%)
 rename app/views/members/{autocomplete_for_member.rhtml => autocomplete_for_member.html.erb} (100%)
 rename app/views/messages/{_form.rhtml => _form.erb} (100%)
 rename app/views/messages/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/messages/{new.rhtml => new.html.erb} (100%)
 rename app/views/messages/{show.rhtml => show.html.erb} (100%)
 rename app/views/my/{_block.rhtml => _block.erb} (100%)
 rename app/views/my/{_sidebar.rhtml => _sidebar.erb} (100%)
 rename app/views/my/{account.rhtml => account.html.erb} (100%)
 rename app/views/my/{page.rhtml => page.html.erb} (100%)
 rename app/views/my/{page_layout.rhtml => page_layout.html.erb} (100%)
 rename app/views/my/{password.rhtml => password.html.erb} (100%)
 rename app/views/news/{_form.rhtml => _form.erb} (100%)
 rename app/views/news/{_news.rhtml => _news.erb} (100%)
 rename app/views/news/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/news/{index.rhtml => index.html.erb} (100%)
 rename app/views/news/{new.rhtml => new.html.erb} (100%)
 rename app/views/news/{show.rhtml => show.html.erb} (100%)
 rename app/views/projects/{_edit.rhtml => _edit.erb} (100%)
 rename app/views/projects/{_form.rhtml => _form.erb} (100%)
 rename app/views/projects/{copy.rhtml => copy.html.erb} (100%)
 rename app/views/projects/{destroy.rhtml => destroy.html.erb} (100%)
 rename app/views/projects/{index.rhtml => index.html.erb} (100%)
 rename app/views/projects/{list_members.rhtml => list_members.html.erb} (100%)
 rename app/views/projects/{settings.rhtml => settings.html.erb} (100%)
 rename app/views/projects/{show.rhtml => show.html.erb} (100%)
 rename app/views/queries/{_columns.rhtml => _columns.erb} (100%)
 rename app/views/queries/{_filters.rhtml => _filters.erb} (100%)
 rename app/views/queries/{_form.rhtml => _form.erb} (100%)
 rename app/views/queries/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/queries/{index.rhtml => index.html.erb} (100%)
 rename app/views/queries/{new.rhtml => new.html.erb} (100%)
 rename app/views/reports/{_details.rhtml => _details.erb} (100%)
 rename app/views/reports/{_simple.rhtml => _simple.erb} (100%)
 rename app/views/reports/{issue_report.rhtml => issue_report.html.erb} (100%)
 rename app/views/reports/{issue_report_details.rhtml => issue_report_details.html.erb} (100%)
 rename app/views/repositories/{_breadcrumbs.rhtml => _breadcrumbs.erb} (100%)
 rename app/views/repositories/{_dir_list.rhtml => _dir_list.erb} (100%)
 rename app/views/repositories/{_dir_list_content.rhtml => _dir_list_content.erb} (100%)
 rename app/views/repositories/{_link_to_functions.rhtml => _link_to_functions.erb} (100%)
 rename app/views/repositories/{_navigation.rhtml => _navigation.erb} (100%)
 rename app/views/repositories/{_revisions.rhtml => _revisions.erb} (100%)
 rename app/views/repositories/{annotate.rhtml => annotate.html.erb} (100%)
 rename app/views/repositories/{changes.rhtml => changes.html.erb} (100%)
 rename app/views/repositories/{committers.rhtml => committers.html.erb} (100%)
 rename app/views/repositories/{diff.rhtml => diff.html.erb} (100%)
 rename app/views/repositories/{entry.rhtml => entry.html.erb} (100%)
 rename app/views/repositories/{revision.rhtml => revision.html.erb} (100%)
 rename app/views/repositories/{revisions.rhtml => revisions.html.erb} (100%)
 rename app/views/repositories/{show.rhtml => show.html.erb} (100%)
 rename app/views/repositories/{stats.rhtml => stats.html.erb} (100%)
 rename app/views/roles/{_form.rhtml => _form.erb} (100%)
 rename app/views/roles/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/roles/{new.rhtml => new.html.erb} (100%)
 rename app/views/roles/{report.rhtml => report.html.erb} (100%)
 rename app/views/search/{index.rhtml => index.html.erb} (100%)
 rename app/views/settings/{_authentication.rhtml => _authentication.erb} (100%)
 rename app/views/settings/{_display.rhtml => _display.erb} (100%)
 rename app/views/settings/{_general.rhtml => _general.erb} (100%)
 rename app/views/settings/{_issues.rhtml => _issues.erb} (100%)
 rename app/views/settings/{_mail_handler.rhtml => _mail_handler.erb} (100%)
 rename app/views/settings/{_notifications.rhtml => _notifications.erb} (100%)
 rename app/views/settings/{_projects.rhtml => _projects.erb} (100%)
 rename app/views/settings/{_repositories.rhtml => _repositories.erb} (100%)
 rename app/views/settings/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/settings/{plugin.rhtml => plugin.html.erb} (100%)
 rename app/views/time_entry_reports/{_report_criteria.rhtml => _report_criteria.erb} (100%)
 rename app/views/time_entry_reports/{report.rhtml => report.html.erb} (100%)
 rename app/views/timelog/{_date_range.rhtml => _date_range.erb} (100%)
 rename app/views/timelog/{_list.rhtml => _list.erb} (100%)
 rename app/views/timelog/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/trackers/{_form.rhtml => _form.erb} (100%)
 rename app/views/trackers/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/trackers/{new.rhtml => new.html.erb} (100%)
 rename app/views/users/{_form.rhtml => _form.erb} (100%)
 rename app/views/users/{_general.rhtml => _general.erb} (100%)
 rename app/views/users/{_groups.rhtml => _groups.erb} (100%)
 rename app/views/users/{_memberships.rhtml => _memberships.erb} (100%)
 rename app/views/users/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/users/{index.rhtml => index.html.erb} (100%)
 rename app/views/users/{show.rhtml => show.html.erb} (100%)
 rename app/views/versions/{_form.rhtml => _form.erb} (100%)
 rename app/views/versions/{_issue_counts.rhtml => _issue_counts.erb} (100%)
 rename app/views/versions/{_overview.rhtml => _overview.erb} (100%)
 rename app/views/versions/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/versions/{show.rhtml => show.html.erb} (100%)
 rename app/views/watchers/{_watchers.rhtml => _watchers.erb} (100%)
 rename app/views/welcome/{index.rhtml => index.html.erb} (100%)
 rename app/views/welcome/{robots.rhtml => robots.html.erb} (100%)
 rename app/views/wiki/{_content.rhtml => _content.erb} (100%)
 rename app/views/wiki/{_sidebar.rhtml => _sidebar.erb} (100%)
 rename app/views/wiki/{annotate.rhtml => annotate.html.erb} (100%)
 rename app/views/wiki/{destroy.rhtml => destroy.html.erb} (100%)
 rename app/views/wiki/{diff.rhtml => diff.html.erb} (100%)
 rename app/views/wiki/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/wiki/{export.rhtml => export.html.erb} (100%)
 rename app/views/wiki/{export_multiple.rhtml => export_multiple.html.erb} (100%)
 rename app/views/wiki/{history.rhtml => history.html.erb} (100%)
 rename app/views/wiki/{rename.rhtml => rename.html.erb} (100%)
 rename app/views/wiki/{show.rhtml => show.html.erb} (100%)
 rename app/views/wikis/{destroy.rhtml => destroy.html.erb} (100%)
 rename app/views/workflows/{_action_menu.rhtml => _action_menu.erb} (100%)
 rename app/views/workflows/{copy.rhtml => copy.html.erb} (100%)
 rename app/views/workflows/{edit.rhtml => edit.html.erb} (100%)
 rename app/views/workflows/{index.rhtml => index.html.erb} (100%)

diff --git a/app/views/account/_login.rhtml b/app/views/account/_login.erb
similarity index 100%
rename from app/views/account/_login.rhtml
rename to app/views/account/_login.erb
diff --git a/app/views/account/login.rhtml b/app/views/account/login.html.erb
similarity index 100%
rename from app/views/account/login.rhtml
rename to app/views/account/login.html.erb
diff --git a/app/views/account/lost_password.rhtml b/app/views/account/lost_password.html.erb
similarity index 100%
rename from app/views/account/lost_password.rhtml
rename to app/views/account/lost_password.html.erb
diff --git a/app/views/account/password_recovery.rhtml b/app/views/account/password_recovery.html.erb
similarity index 100%
rename from app/views/account/password_recovery.rhtml
rename to app/views/account/password_recovery.html.erb
diff --git a/app/views/account/register.rhtml b/app/views/account/register.html.erb
similarity index 100%
rename from app/views/account/register.rhtml
rename to app/views/account/register.html.erb
diff --git a/app/views/admin/_menu.rhtml b/app/views/admin/_menu.erb
similarity index 100%
rename from app/views/admin/_menu.rhtml
rename to app/views/admin/_menu.erb
diff --git a/app/views/admin/_no_data.rhtml b/app/views/admin/_no_data.erb
similarity index 100%
rename from app/views/admin/_no_data.rhtml
rename to app/views/admin/_no_data.erb
diff --git a/app/views/admin/index.rhtml b/app/views/admin/index.html.erb
similarity index 100%
rename from app/views/admin/index.rhtml
rename to app/views/admin/index.html.erb
diff --git a/app/views/admin/info.rhtml b/app/views/admin/info.html.erb
similarity index 100%
rename from app/views/admin/info.rhtml
rename to app/views/admin/info.html.erb
diff --git a/app/views/admin/plugins.rhtml b/app/views/admin/plugins.html.erb
similarity index 100%
rename from app/views/admin/plugins.rhtml
rename to app/views/admin/plugins.html.erb
diff --git a/app/views/admin/projects.rhtml b/app/views/admin/projects.html.erb
similarity index 100%
rename from app/views/admin/projects.rhtml
rename to app/views/admin/projects.html.erb
diff --git a/app/views/attachments/_form.rhtml b/app/views/attachments/_form.erb
similarity index 100%
rename from app/views/attachments/_form.rhtml
rename to app/views/attachments/_form.erb
diff --git a/app/views/attachments/_links.rhtml b/app/views/attachments/_links.erb
similarity index 100%
rename from app/views/attachments/_links.rhtml
rename to app/views/attachments/_links.erb
diff --git a/app/views/attachments/diff.rhtml b/app/views/attachments/diff.html.erb
similarity index 100%
rename from app/views/attachments/diff.rhtml
rename to app/views/attachments/diff.html.erb
diff --git a/app/views/attachments/file.rhtml b/app/views/attachments/file.html.erb
similarity index 100%
rename from app/views/attachments/file.rhtml
rename to app/views/attachments/file.html.erb
diff --git a/app/views/auth_sources/edit.rhtml b/app/views/auth_sources/edit.html.erb
similarity index 100%
rename from app/views/auth_sources/edit.rhtml
rename to app/views/auth_sources/edit.html.erb
diff --git a/app/views/auth_sources/new.rhtml b/app/views/auth_sources/new.html.erb
similarity index 100%
rename from app/views/auth_sources/new.rhtml
rename to app/views/auth_sources/new.html.erb
diff --git a/app/views/boards/_form.rhtml b/app/views/boards/_form.erb
similarity index 100%
rename from app/views/boards/_form.rhtml
rename to app/views/boards/_form.erb
diff --git a/app/views/boards/edit.rhtml b/app/views/boards/edit.html.erb
similarity index 100%
rename from app/views/boards/edit.rhtml
rename to app/views/boards/edit.html.erb
diff --git a/app/views/boards/index.rhtml b/app/views/boards/index.html.erb
similarity index 100%
rename from app/views/boards/index.rhtml
rename to app/views/boards/index.html.erb
diff --git a/app/views/boards/new.rhtml b/app/views/boards/new.html.erb
similarity index 100%
rename from app/views/boards/new.rhtml
rename to app/views/boards/new.html.erb
diff --git a/app/views/boards/show.rhtml b/app/views/boards/show.html.erb
similarity index 100%
rename from app/views/boards/show.rhtml
rename to app/views/boards/show.html.erb
diff --git a/app/views/common/_calendar.rhtml b/app/views/common/_calendar.erb
similarity index 100%
rename from app/views/common/_calendar.rhtml
rename to app/views/common/_calendar.erb
diff --git a/app/views/common/_diff.rhtml b/app/views/common/_diff.erb
similarity index 100%
rename from app/views/common/_diff.rhtml
rename to app/views/common/_diff.erb
diff --git a/app/views/common/_file.rhtml b/app/views/common/_file.erb
similarity index 100%
rename from app/views/common/_file.rhtml
rename to app/views/common/_file.erb
diff --git a/app/views/common/_preview.rhtml b/app/views/common/_preview.erb
similarity index 100%
rename from app/views/common/_preview.rhtml
rename to app/views/common/_preview.erb
diff --git a/app/views/common/_tabs.rhtml b/app/views/common/_tabs.erb
similarity index 100%
rename from app/views/common/_tabs.rhtml
rename to app/views/common/_tabs.erb
diff --git a/app/views/custom_fields/_form.rhtml b/app/views/custom_fields/_form.erb
similarity index 100%
rename from app/views/custom_fields/_form.rhtml
rename to app/views/custom_fields/_form.erb
diff --git a/app/views/custom_fields/_index.rhtml b/app/views/custom_fields/_index.erb
similarity index 100%
rename from app/views/custom_fields/_index.rhtml
rename to app/views/custom_fields/_index.erb
diff --git a/app/views/custom_fields/edit.rhtml b/app/views/custom_fields/edit.html.erb
similarity index 100%
rename from app/views/custom_fields/edit.rhtml
rename to app/views/custom_fields/edit.html.erb
diff --git a/app/views/custom_fields/index.rhtml b/app/views/custom_fields/index.html.erb
similarity index 100%
rename from app/views/custom_fields/index.rhtml
rename to app/views/custom_fields/index.html.erb
diff --git a/app/views/custom_fields/new.rhtml b/app/views/custom_fields/new.html.erb
similarity index 100%
rename from app/views/custom_fields/new.rhtml
rename to app/views/custom_fields/new.html.erb
diff --git a/app/views/documents/_document.rhtml b/app/views/documents/_document.erb
similarity index 100%
rename from app/views/documents/_document.rhtml
rename to app/views/documents/_document.erb
diff --git a/app/views/documents/_form.rhtml b/app/views/documents/_form.erb
similarity index 100%
rename from app/views/documents/_form.rhtml
rename to app/views/documents/_form.erb
diff --git a/app/views/documents/edit.rhtml b/app/views/documents/edit.html.erb
similarity index 100%
rename from app/views/documents/edit.rhtml
rename to app/views/documents/edit.html.erb
diff --git a/app/views/documents/index.rhtml b/app/views/documents/index.html.erb
similarity index 100%
rename from app/views/documents/index.rhtml
rename to app/views/documents/index.html.erb
diff --git a/app/views/documents/new.rhtml b/app/views/documents/new.html.erb
similarity index 100%
rename from app/views/documents/new.rhtml
rename to app/views/documents/new.html.erb
diff --git a/app/views/documents/show.rhtml b/app/views/documents/show.html.erb
similarity index 100%
rename from app/views/documents/show.rhtml
rename to app/views/documents/show.html.erb
diff --git a/app/views/enumerations/_form.rhtml b/app/views/enumerations/_form.erb
similarity index 100%
rename from app/views/enumerations/_form.rhtml
rename to app/views/enumerations/_form.erb
diff --git a/app/views/enumerations/destroy.rhtml b/app/views/enumerations/destroy.html.erb
similarity index 100%
rename from app/views/enumerations/destroy.rhtml
rename to app/views/enumerations/destroy.html.erb
diff --git a/app/views/enumerations/edit.rhtml b/app/views/enumerations/edit.html.erb
similarity index 100%
rename from app/views/enumerations/edit.rhtml
rename to app/views/enumerations/edit.html.erb
diff --git a/app/views/enumerations/list.rhtml b/app/views/enumerations/list.html.erb
similarity index 100%
rename from app/views/enumerations/list.rhtml
rename to app/views/enumerations/list.html.erb
diff --git a/app/views/enumerations/new.rhtml b/app/views/enumerations/new.html.erb
similarity index 100%
rename from app/views/enumerations/new.rhtml
rename to app/views/enumerations/new.html.erb
diff --git a/app/views/issue_categories/_form.rhtml b/app/views/issue_categories/_form.erb
similarity index 100%
rename from app/views/issue_categories/_form.rhtml
rename to app/views/issue_categories/_form.erb
diff --git a/app/views/issue_categories/destroy.rhtml b/app/views/issue_categories/destroy.html.erb
similarity index 100%
rename from app/views/issue_categories/destroy.rhtml
rename to app/views/issue_categories/destroy.html.erb
diff --git a/app/views/issue_categories/edit.rhtml b/app/views/issue_categories/edit.html.erb
similarity index 100%
rename from app/views/issue_categories/edit.rhtml
rename to app/views/issue_categories/edit.html.erb
diff --git a/app/views/issue_moves/new.rhtml b/app/views/issue_moves/new.html.erb
similarity index 100%
rename from app/views/issue_moves/new.rhtml
rename to app/views/issue_moves/new.html.erb
diff --git a/app/views/issue_relations/_form.rhtml b/app/views/issue_relations/_form.erb
similarity index 100%
rename from app/views/issue_relations/_form.rhtml
rename to app/views/issue_relations/_form.erb
diff --git a/app/views/issue_statuses/_form.rhtml b/app/views/issue_statuses/_form.erb
similarity index 100%
rename from app/views/issue_statuses/_form.rhtml
rename to app/views/issue_statuses/_form.erb
diff --git a/app/views/issue_statuses/edit.rhtml b/app/views/issue_statuses/edit.html.erb
similarity index 100%
rename from app/views/issue_statuses/edit.rhtml
rename to app/views/issue_statuses/edit.html.erb
diff --git a/app/views/issue_statuses/new.rhtml b/app/views/issue_statuses/new.html.erb
similarity index 100%
rename from app/views/issue_statuses/new.rhtml
rename to app/views/issue_statuses/new.html.erb
diff --git a/app/views/issues/_action_menu.rhtml b/app/views/issues/_action_menu.erb
similarity index 100%
rename from app/views/issues/_action_menu.rhtml
rename to app/views/issues/_action_menu.erb
diff --git a/app/views/issues/_attributes.rhtml b/app/views/issues/_attributes.erb
similarity index 100%
rename from app/views/issues/_attributes.rhtml
rename to app/views/issues/_attributes.erb
diff --git a/app/views/issues/_changesets.rhtml b/app/views/issues/_changesets.erb
similarity index 100%
rename from app/views/issues/_changesets.rhtml
rename to app/views/issues/_changesets.erb
diff --git a/app/views/issues/_edit.rhtml b/app/views/issues/_edit.erb
similarity index 100%
rename from app/views/issues/_edit.rhtml
rename to app/views/issues/_edit.erb
diff --git a/app/views/issues/_form.rhtml b/app/views/issues/_form.erb
similarity index 100%
rename from app/views/issues/_form.rhtml
rename to app/views/issues/_form.erb
diff --git a/app/views/issues/_form_custom_fields.rhtml b/app/views/issues/_form_custom_fields.erb
similarity index 100%
rename from app/views/issues/_form_custom_fields.rhtml
rename to app/views/issues/_form_custom_fields.erb
diff --git a/app/views/issues/_form_update.rhtml b/app/views/issues/_form_update.erb
similarity index 100%
rename from app/views/issues/_form_update.rhtml
rename to app/views/issues/_form_update.erb
diff --git a/app/views/issues/_history.rhtml b/app/views/issues/_history.erb
similarity index 100%
rename from app/views/issues/_history.rhtml
rename to app/views/issues/_history.erb
diff --git a/app/views/issues/_list.rhtml b/app/views/issues/_list.erb
similarity index 100%
rename from app/views/issues/_list.rhtml
rename to app/views/issues/_list.erb
diff --git a/app/views/issues/_list_simple.rhtml b/app/views/issues/_list_simple.erb
similarity index 100%
rename from app/views/issues/_list_simple.rhtml
rename to app/views/issues/_list_simple.erb
diff --git a/app/views/issues/_relations.rhtml b/app/views/issues/_relations.erb
similarity index 100%
rename from app/views/issues/_relations.rhtml
rename to app/views/issues/_relations.erb
diff --git a/app/views/issues/_sidebar.rhtml b/app/views/issues/_sidebar.erb
similarity index 100%
rename from app/views/issues/_sidebar.rhtml
rename to app/views/issues/_sidebar.erb
diff --git a/app/views/issues/bulk_edit.rhtml b/app/views/issues/bulk_edit.html.erb
similarity index 100%
rename from app/views/issues/bulk_edit.rhtml
rename to app/views/issues/bulk_edit.html.erb
diff --git a/app/views/issues/destroy.rhtml b/app/views/issues/destroy.html.erb
similarity index 100%
rename from app/views/issues/destroy.rhtml
rename to app/views/issues/destroy.html.erb
diff --git a/app/views/issues/edit.rhtml b/app/views/issues/edit.html.erb
similarity index 100%
rename from app/views/issues/edit.rhtml
rename to app/views/issues/edit.html.erb
diff --git a/app/views/issues/index.rhtml b/app/views/issues/index.html.erb
similarity index 100%
rename from app/views/issues/index.rhtml
rename to app/views/issues/index.html.erb
diff --git a/app/views/issues/new.rhtml b/app/views/issues/new.html.erb
similarity index 100%
rename from app/views/issues/new.rhtml
rename to app/views/issues/new.html.erb
diff --git a/app/views/issues/show.rhtml b/app/views/issues/show.html.erb
similarity index 100%
rename from app/views/issues/show.rhtml
rename to app/views/issues/show.html.erb
diff --git a/app/views/journals/_notes_form.rhtml b/app/views/journals/_notes_form.erb
similarity index 100%
rename from app/views/journals/_notes_form.rhtml
rename to app/views/journals/_notes_form.erb
diff --git a/app/views/layouts/admin.rhtml b/app/views/layouts/admin.html.erb
similarity index 100%
rename from app/views/layouts/admin.rhtml
rename to app/views/layouts/admin.html.erb
diff --git a/app/views/layouts/base.rhtml b/app/views/layouts/base.html.erb
similarity index 100%
rename from app/views/layouts/base.rhtml
rename to app/views/layouts/base.html.erb
diff --git a/app/views/ldap_auth_sources/_form.rhtml b/app/views/ldap_auth_sources/_form.erb
similarity index 100%
rename from app/views/ldap_auth_sources/_form.rhtml
rename to app/views/ldap_auth_sources/_form.erb
diff --git a/app/views/members/autocomplete_for_member.rhtml b/app/views/members/autocomplete_for_member.html.erb
similarity index 100%
rename from app/views/members/autocomplete_for_member.rhtml
rename to app/views/members/autocomplete_for_member.html.erb
diff --git a/app/views/messages/_form.rhtml b/app/views/messages/_form.erb
similarity index 100%
rename from app/views/messages/_form.rhtml
rename to app/views/messages/_form.erb
diff --git a/app/views/messages/edit.rhtml b/app/views/messages/edit.html.erb
similarity index 100%
rename from app/views/messages/edit.rhtml
rename to app/views/messages/edit.html.erb
diff --git a/app/views/messages/new.rhtml b/app/views/messages/new.html.erb
similarity index 100%
rename from app/views/messages/new.rhtml
rename to app/views/messages/new.html.erb
diff --git a/app/views/messages/show.rhtml b/app/views/messages/show.html.erb
similarity index 100%
rename from app/views/messages/show.rhtml
rename to app/views/messages/show.html.erb
diff --git a/app/views/my/_block.rhtml b/app/views/my/_block.erb
similarity index 100%
rename from app/views/my/_block.rhtml
rename to app/views/my/_block.erb
diff --git a/app/views/my/_sidebar.rhtml b/app/views/my/_sidebar.erb
similarity index 100%
rename from app/views/my/_sidebar.rhtml
rename to app/views/my/_sidebar.erb
diff --git a/app/views/my/account.rhtml b/app/views/my/account.html.erb
similarity index 100%
rename from app/views/my/account.rhtml
rename to app/views/my/account.html.erb
diff --git a/app/views/my/page.rhtml b/app/views/my/page.html.erb
similarity index 100%
rename from app/views/my/page.rhtml
rename to app/views/my/page.html.erb
diff --git a/app/views/my/page_layout.rhtml b/app/views/my/page_layout.html.erb
similarity index 100%
rename from app/views/my/page_layout.rhtml
rename to app/views/my/page_layout.html.erb
diff --git a/app/views/my/password.rhtml b/app/views/my/password.html.erb
similarity index 100%
rename from app/views/my/password.rhtml
rename to app/views/my/password.html.erb
diff --git a/app/views/news/_form.rhtml b/app/views/news/_form.erb
similarity index 100%
rename from app/views/news/_form.rhtml
rename to app/views/news/_form.erb
diff --git a/app/views/news/_news.rhtml b/app/views/news/_news.erb
similarity index 100%
rename from app/views/news/_news.rhtml
rename to app/views/news/_news.erb
diff --git a/app/views/news/edit.rhtml b/app/views/news/edit.html.erb
similarity index 100%
rename from app/views/news/edit.rhtml
rename to app/views/news/edit.html.erb
diff --git a/app/views/news/index.rhtml b/app/views/news/index.html.erb
similarity index 100%
rename from app/views/news/index.rhtml
rename to app/views/news/index.html.erb
diff --git a/app/views/news/new.rhtml b/app/views/news/new.html.erb
similarity index 100%
rename from app/views/news/new.rhtml
rename to app/views/news/new.html.erb
diff --git a/app/views/news/show.rhtml b/app/views/news/show.html.erb
similarity index 100%
rename from app/views/news/show.rhtml
rename to app/views/news/show.html.erb
diff --git a/app/views/projects/_edit.rhtml b/app/views/projects/_edit.erb
similarity index 100%
rename from app/views/projects/_edit.rhtml
rename to app/views/projects/_edit.erb
diff --git a/app/views/projects/_form.rhtml b/app/views/projects/_form.erb
similarity index 100%
rename from app/views/projects/_form.rhtml
rename to app/views/projects/_form.erb
diff --git a/app/views/projects/copy.rhtml b/app/views/projects/copy.html.erb
similarity index 100%
rename from app/views/projects/copy.rhtml
rename to app/views/projects/copy.html.erb
diff --git a/app/views/projects/destroy.rhtml b/app/views/projects/destroy.html.erb
similarity index 100%
rename from app/views/projects/destroy.rhtml
rename to app/views/projects/destroy.html.erb
diff --git a/app/views/projects/index.rhtml b/app/views/projects/index.html.erb
similarity index 100%
rename from app/views/projects/index.rhtml
rename to app/views/projects/index.html.erb
diff --git a/app/views/projects/list_members.rhtml b/app/views/projects/list_members.html.erb
similarity index 100%
rename from app/views/projects/list_members.rhtml
rename to app/views/projects/list_members.html.erb
diff --git a/app/views/projects/settings.rhtml b/app/views/projects/settings.html.erb
similarity index 100%
rename from app/views/projects/settings.rhtml
rename to app/views/projects/settings.html.erb
diff --git a/app/views/projects/show.rhtml b/app/views/projects/show.html.erb
similarity index 100%
rename from app/views/projects/show.rhtml
rename to app/views/projects/show.html.erb
diff --git a/app/views/queries/_columns.rhtml b/app/views/queries/_columns.erb
similarity index 100%
rename from app/views/queries/_columns.rhtml
rename to app/views/queries/_columns.erb
diff --git a/app/views/queries/_filters.rhtml b/app/views/queries/_filters.erb
similarity index 100%
rename from app/views/queries/_filters.rhtml
rename to app/views/queries/_filters.erb
diff --git a/app/views/queries/_form.rhtml b/app/views/queries/_form.erb
similarity index 100%
rename from app/views/queries/_form.rhtml
rename to app/views/queries/_form.erb
diff --git a/app/views/queries/edit.rhtml b/app/views/queries/edit.html.erb
similarity index 100%
rename from app/views/queries/edit.rhtml
rename to app/views/queries/edit.html.erb
diff --git a/app/views/queries/index.rhtml b/app/views/queries/index.html.erb
similarity index 100%
rename from app/views/queries/index.rhtml
rename to app/views/queries/index.html.erb
diff --git a/app/views/queries/new.rhtml b/app/views/queries/new.html.erb
similarity index 100%
rename from app/views/queries/new.rhtml
rename to app/views/queries/new.html.erb
diff --git a/app/views/reports/_details.rhtml b/app/views/reports/_details.erb
similarity index 100%
rename from app/views/reports/_details.rhtml
rename to app/views/reports/_details.erb
diff --git a/app/views/reports/_simple.rhtml b/app/views/reports/_simple.erb
similarity index 100%
rename from app/views/reports/_simple.rhtml
rename to app/views/reports/_simple.erb
diff --git a/app/views/reports/issue_report.rhtml b/app/views/reports/issue_report.html.erb
similarity index 100%
rename from app/views/reports/issue_report.rhtml
rename to app/views/reports/issue_report.html.erb
diff --git a/app/views/reports/issue_report_details.rhtml b/app/views/reports/issue_report_details.html.erb
similarity index 100%
rename from app/views/reports/issue_report_details.rhtml
rename to app/views/reports/issue_report_details.html.erb
diff --git a/app/views/repositories/_breadcrumbs.rhtml b/app/views/repositories/_breadcrumbs.erb
similarity index 100%
rename from app/views/repositories/_breadcrumbs.rhtml
rename to app/views/repositories/_breadcrumbs.erb
diff --git a/app/views/repositories/_dir_list.rhtml b/app/views/repositories/_dir_list.erb
similarity index 100%
rename from app/views/repositories/_dir_list.rhtml
rename to app/views/repositories/_dir_list.erb
diff --git a/app/views/repositories/_dir_list_content.rhtml b/app/views/repositories/_dir_list_content.erb
similarity index 100%
rename from app/views/repositories/_dir_list_content.rhtml
rename to app/views/repositories/_dir_list_content.erb
diff --git a/app/views/repositories/_link_to_functions.rhtml b/app/views/repositories/_link_to_functions.erb
similarity index 100%
rename from app/views/repositories/_link_to_functions.rhtml
rename to app/views/repositories/_link_to_functions.erb
diff --git a/app/views/repositories/_navigation.rhtml b/app/views/repositories/_navigation.erb
similarity index 100%
rename from app/views/repositories/_navigation.rhtml
rename to app/views/repositories/_navigation.erb
diff --git a/app/views/repositories/_revisions.rhtml b/app/views/repositories/_revisions.erb
similarity index 100%
rename from app/views/repositories/_revisions.rhtml
rename to app/views/repositories/_revisions.erb
diff --git a/app/views/repositories/annotate.rhtml b/app/views/repositories/annotate.html.erb
similarity index 100%
rename from app/views/repositories/annotate.rhtml
rename to app/views/repositories/annotate.html.erb
diff --git a/app/views/repositories/changes.rhtml b/app/views/repositories/changes.html.erb
similarity index 100%
rename from app/views/repositories/changes.rhtml
rename to app/views/repositories/changes.html.erb
diff --git a/app/views/repositories/committers.rhtml b/app/views/repositories/committers.html.erb
similarity index 100%
rename from app/views/repositories/committers.rhtml
rename to app/views/repositories/committers.html.erb
diff --git a/app/views/repositories/diff.rhtml b/app/views/repositories/diff.html.erb
similarity index 100%
rename from app/views/repositories/diff.rhtml
rename to app/views/repositories/diff.html.erb
diff --git a/app/views/repositories/entry.rhtml b/app/views/repositories/entry.html.erb
similarity index 100%
rename from app/views/repositories/entry.rhtml
rename to app/views/repositories/entry.html.erb
diff --git a/app/views/repositories/revision.rhtml b/app/views/repositories/revision.html.erb
similarity index 100%
rename from app/views/repositories/revision.rhtml
rename to app/views/repositories/revision.html.erb
diff --git a/app/views/repositories/revisions.rhtml b/app/views/repositories/revisions.html.erb
similarity index 100%
rename from app/views/repositories/revisions.rhtml
rename to app/views/repositories/revisions.html.erb
diff --git a/app/views/repositories/show.rhtml b/app/views/repositories/show.html.erb
similarity index 100%
rename from app/views/repositories/show.rhtml
rename to app/views/repositories/show.html.erb
diff --git a/app/views/repositories/stats.rhtml b/app/views/repositories/stats.html.erb
similarity index 100%
rename from app/views/repositories/stats.rhtml
rename to app/views/repositories/stats.html.erb
diff --git a/app/views/roles/_form.rhtml b/app/views/roles/_form.erb
similarity index 100%
rename from app/views/roles/_form.rhtml
rename to app/views/roles/_form.erb
diff --git a/app/views/roles/edit.rhtml b/app/views/roles/edit.html.erb
similarity index 100%
rename from app/views/roles/edit.rhtml
rename to app/views/roles/edit.html.erb
diff --git a/app/views/roles/new.rhtml b/app/views/roles/new.html.erb
similarity index 100%
rename from app/views/roles/new.rhtml
rename to app/views/roles/new.html.erb
diff --git a/app/views/roles/report.rhtml b/app/views/roles/report.html.erb
similarity index 100%
rename from app/views/roles/report.rhtml
rename to app/views/roles/report.html.erb
diff --git a/app/views/search/index.rhtml b/app/views/search/index.html.erb
similarity index 100%
rename from app/views/search/index.rhtml
rename to app/views/search/index.html.erb
diff --git a/app/views/settings/_authentication.rhtml b/app/views/settings/_authentication.erb
similarity index 100%
rename from app/views/settings/_authentication.rhtml
rename to app/views/settings/_authentication.erb
diff --git a/app/views/settings/_display.rhtml b/app/views/settings/_display.erb
similarity index 100%
rename from app/views/settings/_display.rhtml
rename to app/views/settings/_display.erb
diff --git a/app/views/settings/_general.rhtml b/app/views/settings/_general.erb
similarity index 100%
rename from app/views/settings/_general.rhtml
rename to app/views/settings/_general.erb
diff --git a/app/views/settings/_issues.rhtml b/app/views/settings/_issues.erb
similarity index 100%
rename from app/views/settings/_issues.rhtml
rename to app/views/settings/_issues.erb
diff --git a/app/views/settings/_mail_handler.rhtml b/app/views/settings/_mail_handler.erb
similarity index 100%
rename from app/views/settings/_mail_handler.rhtml
rename to app/views/settings/_mail_handler.erb
diff --git a/app/views/settings/_notifications.rhtml b/app/views/settings/_notifications.erb
similarity index 100%
rename from app/views/settings/_notifications.rhtml
rename to app/views/settings/_notifications.erb
diff --git a/app/views/settings/_projects.rhtml b/app/views/settings/_projects.erb
similarity index 100%
rename from app/views/settings/_projects.rhtml
rename to app/views/settings/_projects.erb
diff --git a/app/views/settings/_repositories.rhtml b/app/views/settings/_repositories.erb
similarity index 100%
rename from app/views/settings/_repositories.rhtml
rename to app/views/settings/_repositories.erb
diff --git a/app/views/settings/edit.rhtml b/app/views/settings/edit.html.erb
similarity index 100%
rename from app/views/settings/edit.rhtml
rename to app/views/settings/edit.html.erb
diff --git a/app/views/settings/plugin.rhtml b/app/views/settings/plugin.html.erb
similarity index 100%
rename from app/views/settings/plugin.rhtml
rename to app/views/settings/plugin.html.erb
diff --git a/app/views/time_entry_reports/_report_criteria.rhtml b/app/views/time_entry_reports/_report_criteria.erb
similarity index 100%
rename from app/views/time_entry_reports/_report_criteria.rhtml
rename to app/views/time_entry_reports/_report_criteria.erb
diff --git a/app/views/time_entry_reports/report.rhtml b/app/views/time_entry_reports/report.html.erb
similarity index 100%
rename from app/views/time_entry_reports/report.rhtml
rename to app/views/time_entry_reports/report.html.erb
diff --git a/app/views/timelog/_date_range.rhtml b/app/views/timelog/_date_range.erb
similarity index 100%
rename from app/views/timelog/_date_range.rhtml
rename to app/views/timelog/_date_range.erb
diff --git a/app/views/timelog/_list.rhtml b/app/views/timelog/_list.erb
similarity index 100%
rename from app/views/timelog/_list.rhtml
rename to app/views/timelog/_list.erb
diff --git a/app/views/timelog/edit.rhtml b/app/views/timelog/edit.html.erb
similarity index 100%
rename from app/views/timelog/edit.rhtml
rename to app/views/timelog/edit.html.erb
diff --git a/app/views/trackers/_form.rhtml b/app/views/trackers/_form.erb
similarity index 100%
rename from app/views/trackers/_form.rhtml
rename to app/views/trackers/_form.erb
diff --git a/app/views/trackers/edit.rhtml b/app/views/trackers/edit.html.erb
similarity index 100%
rename from app/views/trackers/edit.rhtml
rename to app/views/trackers/edit.html.erb
diff --git a/app/views/trackers/new.rhtml b/app/views/trackers/new.html.erb
similarity index 100%
rename from app/views/trackers/new.rhtml
rename to app/views/trackers/new.html.erb
diff --git a/app/views/users/_form.rhtml b/app/views/users/_form.erb
similarity index 100%
rename from app/views/users/_form.rhtml
rename to app/views/users/_form.erb
diff --git a/app/views/users/_general.rhtml b/app/views/users/_general.erb
similarity index 100%
rename from app/views/users/_general.rhtml
rename to app/views/users/_general.erb
diff --git a/app/views/users/_groups.rhtml b/app/views/users/_groups.erb
similarity index 100%
rename from app/views/users/_groups.rhtml
rename to app/views/users/_groups.erb
diff --git a/app/views/users/_memberships.rhtml b/app/views/users/_memberships.erb
similarity index 100%
rename from app/views/users/_memberships.rhtml
rename to app/views/users/_memberships.erb
diff --git a/app/views/users/edit.rhtml b/app/views/users/edit.html.erb
similarity index 100%
rename from app/views/users/edit.rhtml
rename to app/views/users/edit.html.erb
diff --git a/app/views/users/index.rhtml b/app/views/users/index.html.erb
similarity index 100%
rename from app/views/users/index.rhtml
rename to app/views/users/index.html.erb
diff --git a/app/views/users/show.rhtml b/app/views/users/show.html.erb
similarity index 100%
rename from app/views/users/show.rhtml
rename to app/views/users/show.html.erb
diff --git a/app/views/versions/_form.rhtml b/app/views/versions/_form.erb
similarity index 100%
rename from app/views/versions/_form.rhtml
rename to app/views/versions/_form.erb
diff --git a/app/views/versions/_issue_counts.rhtml b/app/views/versions/_issue_counts.erb
similarity index 100%
rename from app/views/versions/_issue_counts.rhtml
rename to app/views/versions/_issue_counts.erb
diff --git a/app/views/versions/_overview.rhtml b/app/views/versions/_overview.erb
similarity index 100%
rename from app/views/versions/_overview.rhtml
rename to app/views/versions/_overview.erb
diff --git a/app/views/versions/edit.rhtml b/app/views/versions/edit.html.erb
similarity index 100%
rename from app/views/versions/edit.rhtml
rename to app/views/versions/edit.html.erb
diff --git a/app/views/versions/show.rhtml b/app/views/versions/show.html.erb
similarity index 100%
rename from app/views/versions/show.rhtml
rename to app/views/versions/show.html.erb
diff --git a/app/views/watchers/_watchers.rhtml b/app/views/watchers/_watchers.erb
similarity index 100%
rename from app/views/watchers/_watchers.rhtml
rename to app/views/watchers/_watchers.erb
diff --git a/app/views/welcome/index.rhtml b/app/views/welcome/index.html.erb
similarity index 100%
rename from app/views/welcome/index.rhtml
rename to app/views/welcome/index.html.erb
diff --git a/app/views/welcome/robots.rhtml b/app/views/welcome/robots.html.erb
similarity index 100%
rename from app/views/welcome/robots.rhtml
rename to app/views/welcome/robots.html.erb
diff --git a/app/views/wiki/_content.rhtml b/app/views/wiki/_content.erb
similarity index 100%
rename from app/views/wiki/_content.rhtml
rename to app/views/wiki/_content.erb
diff --git a/app/views/wiki/_sidebar.rhtml b/app/views/wiki/_sidebar.erb
similarity index 100%
rename from app/views/wiki/_sidebar.rhtml
rename to app/views/wiki/_sidebar.erb
diff --git a/app/views/wiki/annotate.rhtml b/app/views/wiki/annotate.html.erb
similarity index 100%
rename from app/views/wiki/annotate.rhtml
rename to app/views/wiki/annotate.html.erb
diff --git a/app/views/wiki/destroy.rhtml b/app/views/wiki/destroy.html.erb
similarity index 100%
rename from app/views/wiki/destroy.rhtml
rename to app/views/wiki/destroy.html.erb
diff --git a/app/views/wiki/diff.rhtml b/app/views/wiki/diff.html.erb
similarity index 100%
rename from app/views/wiki/diff.rhtml
rename to app/views/wiki/diff.html.erb
diff --git a/app/views/wiki/edit.rhtml b/app/views/wiki/edit.html.erb
similarity index 100%
rename from app/views/wiki/edit.rhtml
rename to app/views/wiki/edit.html.erb
diff --git a/app/views/wiki/export.rhtml b/app/views/wiki/export.html.erb
similarity index 100%
rename from app/views/wiki/export.rhtml
rename to app/views/wiki/export.html.erb
diff --git a/app/views/wiki/export_multiple.rhtml b/app/views/wiki/export_multiple.html.erb
similarity index 100%
rename from app/views/wiki/export_multiple.rhtml
rename to app/views/wiki/export_multiple.html.erb
diff --git a/app/views/wiki/history.rhtml b/app/views/wiki/history.html.erb
similarity index 100%
rename from app/views/wiki/history.rhtml
rename to app/views/wiki/history.html.erb
diff --git a/app/views/wiki/rename.rhtml b/app/views/wiki/rename.html.erb
similarity index 100%
rename from app/views/wiki/rename.rhtml
rename to app/views/wiki/rename.html.erb
diff --git a/app/views/wiki/show.rhtml b/app/views/wiki/show.html.erb
similarity index 100%
rename from app/views/wiki/show.rhtml
rename to app/views/wiki/show.html.erb
diff --git a/app/views/wikis/destroy.rhtml b/app/views/wikis/destroy.html.erb
similarity index 100%
rename from app/views/wikis/destroy.rhtml
rename to app/views/wikis/destroy.html.erb
diff --git a/app/views/workflows/_action_menu.rhtml b/app/views/workflows/_action_menu.erb
similarity index 100%
rename from app/views/workflows/_action_menu.rhtml
rename to app/views/workflows/_action_menu.erb
diff --git a/app/views/workflows/copy.rhtml b/app/views/workflows/copy.html.erb
similarity index 100%
rename from app/views/workflows/copy.rhtml
rename to app/views/workflows/copy.html.erb
diff --git a/app/views/workflows/edit.rhtml b/app/views/workflows/edit.html.erb
similarity index 100%
rename from app/views/workflows/edit.rhtml
rename to app/views/workflows/edit.html.erb
diff --git a/app/views/workflows/index.rhtml b/app/views/workflows/index.html.erb
similarity index 100%
rename from app/views/workflows/index.rhtml
rename to app/views/workflows/index.html.erb
-- 
1.7.1


From b97881a1be47c5ef648e31f9b5a17172aec7389b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Scha=CC=88fer?= <felix@fachschaften.org>
Date: Mon, 3 Jun 2013 23:27:50 +0200
Subject: Rename remaining rhtml view templates to html.erb

--HG--
rename : app/views/my/blocks/_calendar.rhtml => app/views/my/blocks/_calendar.html.erb
rename : app/views/my/blocks/_documents.rhtml => app/views/my/blocks/_documents.html.erb
rename : app/views/my/blocks/_issuesassignedtome.rhtml => app/views/my/blocks/_issuesassignedtome.html.erb
rename : app/views/my/blocks/_issuesreportedbyme.rhtml => app/views/my/blocks/_issuesreportedbyme.html.erb
rename : app/views/my/blocks/_issueswatched.rhtml => app/views/my/blocks/_issueswatched.html.erb
rename : app/views/my/blocks/_news.rhtml => app/views/my/blocks/_news.html.erb
rename : app/views/my/blocks/_timelog.rhtml => app/views/my/blocks/_timelog.html.erb
rename : app/views/projects/settings/_activities.rhtml => app/views/projects/settings/_activities.html.erb
rename : app/views/projects/settings/_boards.rhtml => app/views/projects/settings/_boards.html.erb
rename : app/views/projects/settings/_issue_categories.rhtml => app/views/projects/settings/_issue_categories.html.erb
rename : app/views/projects/settings/_members.rhtml => app/views/projects/settings/_members.html.erb
rename : app/views/projects/settings/_modules.rhtml => app/views/projects/settings/_modules.html.erb
rename : app/views/projects/settings/_repository.rhtml => app/views/projects/settings/_repository.html.erb
rename : app/views/projects/settings/_versions.rhtml => app/views/projects/settings/_versions.html.erb
rename : app/views/projects/settings/_wiki.rhtml => app/views/projects/settings/_wiki.html.erb
rename : extra/sample_plugin/app/views/example/say_goodbye.rhtml => extra/sample_plugin/app/views/example/say_goodbye.html.erb
rename : extra/sample_plugin/app/views/example/say_hello.rhtml => extra/sample_plugin/app/views/example/say_hello.html.erb
rename : extra/sample_plugin/app/views/my/blocks/_sample_block.rhtml => extra/sample_plugin/app/views/my/blocks/_sample_block.html.erb
rename : extra/sample_plugin/app/views/settings/_sample_plugin_settings.rhtml => extra/sample_plugin/app/views/settings/_sample_plugin_settings.html.erb
extra : source : 1072cd9ddd74e7ef7cbcc46b1520bf178280ca1a
---
 .../blocks/{_calendar.rhtml => _calendar.html.erb} |    0
 .../{_documents.rhtml => _documents.html.erb}      |    0
 ...gnedtome.rhtml => _issuesassignedtome.html.erb} |    0
 ...rtedbyme.rhtml => _issuesreportedbyme.html.erb} |    0
 ...issueswatched.rhtml => _issueswatched.html.erb} |    0
 .../my/blocks/{_news.rhtml => _news.html.erb}      |    0
 .../blocks/{_timelog.rhtml => _timelog.html.erb}   |    0
 .../{_activities.rhtml => _activities.html.erb}    |    0
 .../settings/{_boards.rhtml => _boards.html.erb}   |    0
 ...categories.rhtml => _issue_categories.html.erb} |    0
 .../settings/{_members.rhtml => _members.html.erb} |    0
 .../settings/{_modules.rhtml => _modules.html.erb} |    0
 .../{_repository.rhtml => _repository.html.erb}    |    0
 .../{_versions.rhtml => _versions.html.erb}        |    0
 .../settings/{_wiki.rhtml => _wiki.html.erb}       |    0
 .../{say_goodbye.rhtml => say_goodbye.html.erb}    |    0
 .../{say_hello.rhtml => say_hello.html.erb}        |    0
 ...{_sample_block.rhtml => _sample_block.html.erb} |    0
 ...ings.rhtml => _sample_plugin_settings.html.erb} |    0
 19 files changed, 0 insertions(+), 0 deletions(-)
 rename app/views/my/blocks/{_calendar.rhtml => _calendar.html.erb} (100%)
 rename app/views/my/blocks/{_documents.rhtml => _documents.html.erb} (100%)
 rename app/views/my/blocks/{_issuesassignedtome.rhtml => _issuesassignedtome.html.erb} (100%)
 rename app/views/my/blocks/{_issuesreportedbyme.rhtml => _issuesreportedbyme.html.erb} (100%)
 rename app/views/my/blocks/{_issueswatched.rhtml => _issueswatched.html.erb} (100%)
 rename app/views/my/blocks/{_news.rhtml => _news.html.erb} (100%)
 rename app/views/my/blocks/{_timelog.rhtml => _timelog.html.erb} (100%)
 rename app/views/projects/settings/{_activities.rhtml => _activities.html.erb} (100%)
 rename app/views/projects/settings/{_boards.rhtml => _boards.html.erb} (100%)
 rename app/views/projects/settings/{_issue_categories.rhtml => _issue_categories.html.erb} (100%)
 rename app/views/projects/settings/{_members.rhtml => _members.html.erb} (100%)
 rename app/views/projects/settings/{_modules.rhtml => _modules.html.erb} (100%)
 rename app/views/projects/settings/{_repository.rhtml => _repository.html.erb} (100%)
 rename app/views/projects/settings/{_versions.rhtml => _versions.html.erb} (100%)
 rename app/views/projects/settings/{_wiki.rhtml => _wiki.html.erb} (100%)
 rename extra/sample_plugin/app/views/example/{say_goodbye.rhtml => say_goodbye.html.erb} (100%)
 rename extra/sample_plugin/app/views/example/{say_hello.rhtml => say_hello.html.erb} (100%)
 rename extra/sample_plugin/app/views/my/blocks/{_sample_block.rhtml => _sample_block.html.erb} (100%)
 rename extra/sample_plugin/app/views/settings/{_sample_plugin_settings.rhtml => _sample_plugin_settings.html.erb} (100%)

diff --git a/app/views/my/blocks/_calendar.rhtml b/app/views/my/blocks/_calendar.html.erb
similarity index 100%
rename from app/views/my/blocks/_calendar.rhtml
rename to app/views/my/blocks/_calendar.html.erb
diff --git a/app/views/my/blocks/_documents.rhtml b/app/views/my/blocks/_documents.html.erb
similarity index 100%
rename from app/views/my/blocks/_documents.rhtml
rename to app/views/my/blocks/_documents.html.erb
diff --git a/app/views/my/blocks/_issuesassignedtome.rhtml b/app/views/my/blocks/_issuesassignedtome.html.erb
similarity index 100%
rename from app/views/my/blocks/_issuesassignedtome.rhtml
rename to app/views/my/blocks/_issuesassignedtome.html.erb
diff --git a/app/views/my/blocks/_issuesreportedbyme.rhtml b/app/views/my/blocks/_issuesreportedbyme.html.erb
similarity index 100%
rename from app/views/my/blocks/_issuesreportedbyme.rhtml
rename to app/views/my/blocks/_issuesreportedbyme.html.erb
diff --git a/app/views/my/blocks/_issueswatched.rhtml b/app/views/my/blocks/_issueswatched.html.erb
similarity index 100%
rename from app/views/my/blocks/_issueswatched.rhtml
rename to app/views/my/blocks/_issueswatched.html.erb
diff --git a/app/views/my/blocks/_news.rhtml b/app/views/my/blocks/_news.html.erb
similarity index 100%
rename from app/views/my/blocks/_news.rhtml
rename to app/views/my/blocks/_news.html.erb
diff --git a/app/views/my/blocks/_timelog.rhtml b/app/views/my/blocks/_timelog.html.erb
similarity index 100%
rename from app/views/my/blocks/_timelog.rhtml
rename to app/views/my/blocks/_timelog.html.erb
diff --git a/app/views/projects/settings/_activities.rhtml b/app/views/projects/settings/_activities.html.erb
similarity index 100%
rename from app/views/projects/settings/_activities.rhtml
rename to app/views/projects/settings/_activities.html.erb
diff --git a/app/views/projects/settings/_boards.rhtml b/app/views/projects/settings/_boards.html.erb
similarity index 100%
rename from app/views/projects/settings/_boards.rhtml
rename to app/views/projects/settings/_boards.html.erb
diff --git a/app/views/projects/settings/_issue_categories.rhtml b/app/views/projects/settings/_issue_categories.html.erb
similarity index 100%
rename from app/views/projects/settings/_issue_categories.rhtml
rename to app/views/projects/settings/_issue_categories.html.erb
diff --git a/app/views/projects/settings/_members.rhtml b/app/views/projects/settings/_members.html.erb
similarity index 100%
rename from app/views/projects/settings/_members.rhtml
rename to app/views/projects/settings/_members.html.erb
diff --git a/app/views/projects/settings/_modules.rhtml b/app/views/projects/settings/_modules.html.erb
similarity index 100%
rename from app/views/projects/settings/_modules.rhtml
rename to app/views/projects/settings/_modules.html.erb
diff --git a/app/views/projects/settings/_repository.rhtml b/app/views/projects/settings/_repository.html.erb
similarity index 100%
rename from app/views/projects/settings/_repository.rhtml
rename to app/views/projects/settings/_repository.html.erb
diff --git a/app/views/projects/settings/_versions.rhtml b/app/views/projects/settings/_versions.html.erb
similarity index 100%
rename from app/views/projects/settings/_versions.rhtml
rename to app/views/projects/settings/_versions.html.erb
diff --git a/app/views/projects/settings/_wiki.rhtml b/app/views/projects/settings/_wiki.html.erb
similarity index 100%
rename from app/views/projects/settings/_wiki.rhtml
rename to app/views/projects/settings/_wiki.html.erb
diff --git a/extra/sample_plugin/app/views/example/say_goodbye.rhtml b/extra/sample_plugin/app/views/example/say_goodbye.html.erb
similarity index 100%
rename from extra/sample_plugin/app/views/example/say_goodbye.rhtml
rename to extra/sample_plugin/app/views/example/say_goodbye.html.erb
diff --git a/extra/sample_plugin/app/views/example/say_hello.rhtml b/extra/sample_plugin/app/views/example/say_hello.html.erb
similarity index 100%
rename from extra/sample_plugin/app/views/example/say_hello.rhtml
rename to extra/sample_plugin/app/views/example/say_hello.html.erb
diff --git a/extra/sample_plugin/app/views/my/blocks/_sample_block.rhtml b/extra/sample_plugin/app/views/my/blocks/_sample_block.html.erb
similarity index 100%
rename from extra/sample_plugin/app/views/my/blocks/_sample_block.rhtml
rename to extra/sample_plugin/app/views/my/blocks/_sample_block.html.erb
diff --git a/extra/sample_plugin/app/views/settings/_sample_plugin_settings.rhtml b/extra/sample_plugin/app/views/settings/_sample_plugin_settings.html.erb
similarity index 100%
rename from extra/sample_plugin/app/views/settings/_sample_plugin_settings.rhtml
rename to extra/sample_plugin/app/views/settings/_sample_plugin_settings.html.erb
-- 
1.7.1


From 6e28746e26f8427c7226b37218ff966b77ef3174 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Scha=CC=88fer?= <felix@fachschaften.org>
Date: Tue, 4 Jun 2013 14:18:16 +0200
Subject: Don't escape the ChiliProject link

--HG--
extra : source : 33ab57f3565f38bd756ce0b951d8f8ad5d7d66df
---
 app/views/layouts/base.html.erb |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/app/views/layouts/base.html.erb b/app/views/layouts/base.html.erb
index 54df089..d6c49e7 100644
--- a/app/views/layouts/base.html.erb
+++ b/app/views/layouts/base.html.erb
@@ -144,7 +144,7 @@
 
   <div id="footer">
     <div class="bgl"><div class="bgr">
-        <%= l(:text_powered_by, :link => link_to(Redmine::Info.app_name, Redmine::Info.url)) %>
+        <%= l(:text_powered_by, :link => link_to(Redmine::Info.app_name, Redmine::Info.url)).html_safe %>
       </div></div>
   </div>
 
-- 
1.7.1


From 813cb4bfad5531cef94007301254a5ce5595e8ab Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Scha=CC=88fer?= <felix@fachschaften.org>
Date: Tue, 4 Jun 2013 20:51:06 +0200
Subject: Makes my/page_layout renderable, lots of js to be reworked

--HG--
extra : source : 002a56b5b756eac56b871454280005942de3eed2
---
 app/views/my/page_layout.html.erb |   50 ++++++++++++++----------------------
 1 files changed, 20 insertions(+), 30 deletions(-)

diff --git a/app/views/my/page_layout.html.erb b/app/views/my/page_layout.html.erb
index e9b0f8e..24c0b9f 100644
--- a/app/views/my/page_layout.html.erb
+++ b/app/views/my/page_layout.html.erb
@@ -73,36 +73,26 @@ function removeBlock(block) {
 	<% end if @blocks['right'] %>
 </div>
 
-<%= sortable_element 'list-top',
-      :tag => 'div',
-      :only => 'mypage-box',
-      :handle => "handle",
-      :dropOnEmpty => true,
-      :containment => ['list-top', 'list-left', 'list-right'],
-      :constraint => false,
-      :url => { :action => "order_blocks", :group => "top" }
-       %>
-
-
-<%= sortable_element 'list-left',
-      :tag => 'div',
-      :only => 'mypage-box',
-      :handle => "handle",
-      :dropOnEmpty => true,
-      :containment => ['list-top', 'list-left', 'list-right'],
-      :constraint => false,
-      :url => { :action => "order_blocks", :group => "left" }
-       %>
-
-<%= sortable_element 'list-right',
-      :tag => 'div',
-      :only => 'mypage-box',
-      :handle => "handle",
-      :dropOnEmpty => true,
-      :containment => ['list-top', 'list-left', 'list-right'],
-      :constraint => false,
-      :url => { :action => "order_blocks", :group => "right" }
-       %>
+<%= javascript_tag("
+      jQuery('#list-top').sortable({
+        items: '> div.mypage-box',
+        handle: '.handle',
+        dropOnEmpty: true,
+        connectWith: ['#list-left', '#list-right']
+      });
+      jQuery('#list-left').sortable({
+        items: '> div.mypage-box',
+        handle: '.handle',
+        dropOnEmpty: true,
+        connectWith: ['#list-top', '#list-right']
+      });
+      jQuery('#list-right').sortable({
+        items: '> div.mypage-box',
+        handle: '.handle',
+        dropOnEmpty: true,
+        connectWith: ['#list-top', '#list-left']
+      });
+    ") -%>
 
 <%= javascript_tag "updateSelect()" %>
 <% html_title(l(:label_my_page)) -%>
-- 
1.7.1


From f474361649d6c660b65466f5e64e0bbdee1c9a6b Mon Sep 17 00:00:00 2001
From: Toshi MARUYAMA <marutosijp2@yahoo.co.jp>
Date: Sat, 13 Jul 2013 22:44:39 +0900
Subject: remove trailing white-spaces from acts_as_customizable.rb

--HG--
extra : source : 95076c53f28122142f45e19402b95fe1a96763c5
---
 .../lib/acts_as_customizable.rb                    |   22 ++++++++++----------
 1 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb b/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb
index ed63670..2d76500 100644
--- a/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb
+++ b/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb
@@ -6,12 +6,12 @@
 # modify it under the terms of the GNU General Public License
 # as published by the Free Software Foundation; either version 2
 # of the License, or (at your option) any later version.
-# 
+#
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
-# 
+#
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
@@ -45,12 +45,12 @@ module Redmine
         def self.included(base)
           base.extend ClassMethods
         end
-        
+
         def available_custom_fields
           CustomField.find(:all, :conditions => "type = '#{self.class.name}CustomField'",
                                  :order => 'position')
         end
-        
+
         # Sets the values of the object's custom fields
         # values is an array like [{'id' => 1, 'value' => 'foo'}, {'id' => 2, 'value' => 'bar'}]
         def custom_fields=(values)
@@ -74,37 +74,37 @@ module Redmine
           end if values.is_a?(Hash)
           self.custom_values = custom_field_values
         end
-        
+
         def custom_field_values
           @custom_field_values ||= available_custom_fields.collect { |x| custom_values.detect { |v| v.custom_field == x } || custom_values.build(:customized => self, :custom_field => x, :value => nil) }
         end
-        
+
         def visible_custom_field_values
           custom_field_values.select(&:visible?)
         end
-        
+
         def custom_field_values_changed?
           @custom_field_values_changed == true
         end
-        
+
         def custom_value_for(c)
           field_id = (c.is_a?(CustomField) ? c.id : c.to_i)
           custom_values.detect {|v| v.custom_field_id == field_id }
         end
-        
+
         def save_custom_field_values
           custom_field_values.each(&:save)
           @custom_field_values_changed = false
           @custom_field_values = nil
         end
-        
+
         def reset_custom_values!
           @custom_field_values = nil
           @custom_field_values_changed = true
           values = custom_values.inject({}) {|h,v| h[v.custom_field_id] = v.value; h}
           custom_values.each {|cv| cv.destroy unless custom_field_values.include?(cv)}
         end
-        
+
         module ClassMethods
         end
       end
-- 
1.7.1

